<?php

/**
 * Widget that adds separator boxes type
 *
 * Class Separator_Widget
 */
class SparksMikadoSeparatorWidget extends SparksMikadoWidget
{
    /**
     * Set basic widget options and call parent class construct
     */
    public function __construct() {
        parent::__construct(
            'mkd_separator_widget', // Base ID
            esc_html__('Mikado Separator Widget', 'mkd-core') // Name
        );

        $this->setParams();
    }

    /**
     * Sets widget options
     */
    protected function setParams() {
        $this->params = array(
            array(
                'type' => 'dropdown',
                'title' => esc_html__('Type', 'mkd-core'),
                'name' => 'type',
                'options' => array(
                    'normal' => esc_html__('Normal', 'mkd-core'),
                    'full-width' => esc_html__('Full Width', 'mkd-core')
                )
            ),
            array(
                'type' => 'dropdown',
                'title' => esc_html__('Position', 'mkd-core'),
                'name' => 'position',
                'options' => array(
                    'center' => esc_html__('Center', 'mkd-core'),
                    'left' => esc_html__('Left', 'mkd-core'),
                    'right' => esc_html__('Right', 'mkd-core')
                )
            ),
            array(
                'type' => 'dropdown',
                'title' => esc_html__('Style', 'mkd-core'),
                'name' => 'border_style',
                'options' => array(
                    'solid' => esc_html__('Solid', 'mkd-core'),
                    'dashed' => esc_html__('Dashed', 'mkd-core'),
                    'dotted' => esc_html__('Dotted', 'mkd-core')
                )
            ),
            array(
                'type' => 'textfield',
                'title' => esc_html__('Color', 'mkd-core'),
                'name' => 'color'
            ),
            array(
                'type' => 'textfield',
                'title' => esc_html__('Width', 'mkd-core'),
                'name' => 'width',
                'description' => ''
            ),
            array(
                'type' => 'textfield',
                'title' => esc_html__('Thickness (px)', 'mkd-core'),
                'name' => 'thickness',
                'description' => ''
            ),
            array(
                'type' => 'textfield',
                'title' => esc_html__('Top Margin', 'mkd-core'),
                'name' => 'top_margin',
                'description' => ''
            ),
            array(
                'type' => 'textfield',
                'title' => esc_html__('Bottom Margin', 'mkd-core'),
                'name' => 'bottom_margin',
                'description' => ''
            )
        );
    }

    /**
     * Generates widget's HTML
     *
     * @param array $args args from widget area
     * @param array $instance widget's options
     */
    public function widget($args, $instance) {

        extract($args);

        //prepare variables
        $params = '';

        //is instance empty?
        if (is_array($instance) && count($instance)) {
            //generate shortcode params
            foreach ($instance as $key => $value) {
                $params .= " $key='$value' ";
            }
        }

        echo '<div class="widget mkd-separator-widget">';

        //finally call the shortcode
        echo do_shortcode("[mkd_separator $params]"); // XSS OK

        echo '</div>'; //close div.mkd-separator-widget
    }

    /*
     * override widget title interface rendering
    */
    protected function widget_title($title) {
        return '';
    }
}