<?php

if (!function_exists('sparks_mikado_button_map')) {
    function sparks_mikado_button_map() {
        $panel = sparks_mikado_add_admin_panel(array(
            'title' => esc_html__('Button', 'mkd-core'),
            'name' => 'panel_button',
            'page' => '_elements_page'
        ));

        //Typography options
        sparks_mikado_add_admin_section_title(array(
            'name' => 'typography_section_title',
            'title' => esc_html__('Typography', 'mkd-core'),
            'parent' => $panel
        ));

        $typography_group = sparks_mikado_add_admin_group(array(
            'name' => 'typography_group',
            'title' => esc_html__('Typography', 'mkd-core'),
            'description' => esc_html__('Setup typography for all button types', 'mkd-core'),
            'parent' => $panel
        ));

        $typography_row = sparks_mikado_add_admin_row(array(
            'name' => 'typography_row',
            'next' => true,
            'parent' => $typography_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $typography_row,
            'type' => 'fontsimple',
            'name' => 'button_font_family',
            'default_value' => '',
            'label' => esc_html__('Font Family', 'mkd-core'),
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $typography_row,
            'type' => 'selectsimple',
            'name' => 'button_text_transform',
            'default_value' => '',
            'label' => esc_html__('Text Transform', 'mkd-core'),
            'options' => sparks_mikado_get_text_transform_array()
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $typography_row,
            'type' => 'selectsimple',
            'name' => 'button_font_style',
            'default_value' => '',
            'label' => esc_html__('Font Style', 'mkd-core'),
            'options' => sparks_mikado_get_font_style_array()
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $typography_row,
            'type' => 'textsimple',
            'name' => 'button_letter_spacing',
            'default_value' => '',
            'label' => esc_html__('Letter Spacing', 'mkd-core'),
            'args' => array(
                'suffix' => 'px'
            )
        ));

        $typography_row2 = sparks_mikado_add_admin_row(array(
            'name' => 'typography_row2',
            'next' => true,
            'parent' => $typography_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $typography_row2,
            'type' => 'selectsimple',
            'name' => 'button_font_weight',
            'default_value' => '',
            'label' => esc_html__('Font Weight', 'mkd-core'),
            'options' => sparks_mikado_get_font_weight_array()
        ));

        //Outline type options
        sparks_mikado_add_admin_section_title(array(
            'name' => 'type_section_title',
            'title' => esc_html__('Types', 'mkd-core'),
            'parent' => $panel
        ));

        $outline_group = sparks_mikado_add_admin_group(array(
            'name' => 'outline_group',
            'title' => esc_html__('Outline Type', 'mkd-core'),
            'description' => esc_html__('Setup outline button type', 'mkd-core'),
            'parent' => $panel
        ));

        $outline_row = sparks_mikado_add_admin_row(array(
            'name' => 'outline_row',
            'next' => true,
            'parent' => $outline_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $outline_row,
            'type' => 'colorsimple',
            'name' => 'btn_outline_text_color',
            'default_value' => '',
            'label' => esc_html__('Text Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $outline_row,
            'type' => 'colorsimple',
            'name' => 'btn_outline_hover_text_color',
            'default_value' => '',
            'label' => esc_html__('Text Hover Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $outline_row,
            'type' => 'colorsimple',
            'name' => 'btn_outline_hover_bg_color',
            'default_value' => '',
            'label' => esc_html__('Hover Background Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $outline_row,
            'type' => 'colorsimple',
            'name' => 'btn_outline_border_color',
            'default_value' => '',
            'label' => esc_html__('Border Color', 'mkd-core'),
            'description' => ''
        ));

        $outline_row2 = sparks_mikado_add_admin_row(array(
            'name' => 'outline_row2',
            'next' => true,
            'parent' => $outline_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $outline_row2,
            'type' => 'colorsimple',
            'name' => 'btn_outline_hover_border_color',
            'default_value' => '',
            'label' => esc_html__('Hover Border Color', 'mkd-core'),
            'description' => ''
        ));

        //Solid type options
        $solid_group = sparks_mikado_add_admin_group(array(
            'name' => 'solid_group',
            'title' => esc_html__('Solid Type', 'mkd-core'),
            'description' => esc_html__('Setup solid button type', 'mkd-core'),
            'parent' => $panel
        ));

        $solid_row = sparks_mikado_add_admin_row(array(
            'name' => 'solid_row',
            'next' => true,
            'parent' => $solid_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row,
            'type' => 'colorsimple',
            'name' => 'btn_solid_text_color',
            'default_value' => '',
            'label' => esc_html__('Text Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row,
            'type' => 'colorsimple',
            'name' => 'btn_solid_hover_text_color',
            'default_value' => '',
            'label' => esc_html__('Text Hover Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row,
            'type' => 'colorsimple',
            'name' => 'btn_solid_bg_color',
            'default_value' => '',
            'label' => esc_html__('Background Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row,
            'type' => 'colorsimple',
            'name' => 'btn_solid_hover_bg_color',
            'default_value' => '',
            'label' => esc_html__('Hover Background Color', 'mkd-core'),
            'description' => ''
        ));

        $solid_row2 = sparks_mikado_add_admin_row(array(
            'name' => 'solid_row2',
            'next' => true,
            'parent' => $solid_group
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row2,
            'type' => 'colorsimple',
            'name' => 'btn_solid_border_color',
            'default_value' => '',
            'label' => esc_html__('Border Color', 'mkd-core'),
            'description' => ''
        ));

        sparks_mikado_add_admin_field(array(
            'parent' => $solid_row2,
            'type' => 'colorsimple',
            'name' => 'btn_solid_hover_border_color',
            'default_value' => '',
            'label' => esc_html__('Hover Border Color', 'mkd-core'),
            'description' => ''
        ));
    }

    add_action('sparks_mikado_options_elements_map', 'sparks_mikado_button_map');
}