<?php

if (!function_exists('sparks_mikado_load_widget_class')) {
	/**
	 * Loades widget class file.
	 *
	 */
	function sparks_mikado_load_widget_class() {
		include_once 'widget-class.php';
	}

	// added priority on action in order to load contact form 7 widget
	add_action('sparks_mikado_before_options_map', 'sparks_mikado_load_widget_class', 9);
}

if (!function_exists('sparks_mikado_load_widgets')) {
	/**
	 * Loades all widgets by going through all folders that are placed directly in widgets folder
	 * and loads load.php file in each. Hooks to sparks_mikado_after_options_map action
	 */
	function sparks_mikado_load_widgets() {

		foreach (glob(MIKADO_CORE_ABS_PATH . '/widgets/*/load.php') as $widget_load) {
			include_once $widget_load;
		}

		include_once 'widget-loader.php';
	}

	add_action('sparks_mikado_before_options_map', 'sparks_mikado_load_widgets');
}