<?php

// Clients

$client_meta_box = sparks_mikado_create_meta_box(
    array(
        'scope' => array('clients'),
        'title' => esc_html__('Client','sparks'),
        'name' => 'client_meta'
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_client_image',
        'type' => 'image',
        'label' =>esc_html__( 'Client Image','sparks'),
        'description' =>esc_html__( 'Choose client image (min width needs to be 215px)','sparks'),
        'parent' => $client_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_client_hover_image',
        'type' => 'image',
        'label' => esc_html__('Client Hover Image','sparks'),
        'description' => esc_html__('Choose client hover image (min width needs to be 215px)','sparks'),
        'parent' => $client_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_client_item_link',
        'type' => 'text',
        'label' =>esc_html__( 'Link','sparks'),
        'description' => esc_html__('Enter the URL to which you want the image to link to (e.g. http://www.example.com)','sparks'),
        'parent' => $client_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_client_item_target',
        'type' => 'selectblank',
        'label' => esc_html__('Target','sparks'),
        'description' => esc_html__('Specify where to open the linked document','sparks'),
        'parent' => $client_meta_box,
        'options' => array(
            '_self' => esc_html__('Self','sparks'),
            '_blank' => esc_html__('Blank','sparks'),
        )
    )
);