<?php

$general_meta_box = sparks_mikado_create_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' => esc_html__('General', 'sparks'),
        'name' => 'general_meta'
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_first_color_meta',
        'type' => 'color',
        'default_value' => '',
        'label' => esc_html__('Page Main Color', 'sparks'),
        'description' => esc_html__('Choose page main color', 'sparks'),
        'parent' => $general_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_background_color_meta',
        'type' => 'color',
        'default_value' => '',
        'label' => esc_html__('Page Background Color', 'sparks'),
        'description' => esc_html__('Choose background color for page content', 'sparks'),
        'parent' => $general_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_content_behind_header_meta',
        'type' => 'yesno',
        'default_value' => 'no',
        'label' => 'Always put content behind header',
        'description' => esc_html__('Enabling this option will put page content behind page header', 'sparks'),
        'parent' => $general_meta_box,
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_slider_meta',
        'type' => 'text',
        'default_value' => '',
        'label' => esc_html__('Slider Shortcode', 'sparks'),
        'description' => esc_html__('Paste your slider shortcode here', 'sparks'),
        'parent' => $general_meta_box
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_transition_type',
        'type' => 'selectblank',
        'label' => esc_html__('Page Transition', 'sparks'),
        'description' => esc_html__('Choose the type of transition to this page', 'sparks'),
        'parent' => $general_meta_box,
        'default_value' => '',
        'options' => array(
            'no-animation' => esc_html__('No animation', 'sparks'),
            'fade' => esc_html__('Fade', 'sparks')
        )
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_boxed_meta',
        'type' => 'selectblank',
        'default_value' => '',
        'label' => esc_html__('Boxed Layout', 'sparks'),
        'description' => '',
        'parent' => $general_meta_box,
        'options' => array(
            'no' => esc_html__('No', 'sparks'),
            'yes' => esc_html__('Yes', 'sparks')
        ),
        'args' => array(
            'dependence' => true,
            'hide' => array(
                '' => '',
                'no' => '#mkd_boxed_container',
                'yes' => ''
            ),
            'show' => array(
                '' => '',
                'no' => '',
                'yes' => '#mkd_boxed_container'
            )
        )
    ));

$boxed_container = sparks_mikado_add_admin_container(
    array(
        'parent' => $general_meta_box,
        'name' => 'boxed_container',
        'hidden_property' => 'mkd_boxed_meta',
        'hidden_value' => 'no',
        'hidden_values' => array('', 'no')
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_background_color_in_box',
        'type' => 'color',
        'label' => esc_html__('Page Background Color', 'sparks'),
        'description' => esc_html__('Choose the page background color outside box.', 'sparks'),
        'parent' => $boxed_container
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_boxed_background_image',
        'type' => 'image',
        'label' => esc_html__('Background Image', 'sparks'),
        'description' => esc_html__('Choose an image to be displayed in background', 'sparks'),
        'parent' => $boxed_container
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_boxed_pattern_background_image',
        'type' => 'image',
        'label' => esc_html__('Background Pattern', 'sparks'),
        'description' => esc_html__('Choose an image to be used as background pattern', 'sparks'),
        'parent' => $boxed_container
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_boxed_background_image_attachment',
        'type' => 'selectblank',
        'default_value' => '',
        'label' => esc_html__('Background Image Attachment', 'sparks'),
        'description' => esc_html__('Choose background image attachment', 'sparks'),
        'parent' => $boxed_container,
        'options' => array(
            'fixed' => esc_html__('Fixed', 'sparks'),
            'scroll' => esc_html__('Scroll', 'sparks')
        )
    )
);

$mkd_content_padding_group = sparks_mikado_add_admin_group(array(
    'name' => 'content_padding_group',
    'title' => esc_html__('Content Style', 'sparks'),
    'description' => esc_html__('Define styles for Content area', 'sparks'),
    'parent' => $general_meta_box
));

$mkd_content_padding_row = sparks_mikado_add_admin_row(array(
    'name' => 'mkd_content_padding_row',
    'next' => true,
    'parent' => $mkd_content_padding_group
));

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_content_top_padding',
        'type' => 'textsimple',
        'default_value' => '',
        'label' => esc_html__('Content Top Padding', 'sparks'),
        'parent' => $mkd_content_padding_row,
        'args' => array(
            'suffix' => 'px'
        )
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_content_top_padding_mobile',
        'type' => 'selectblanksimple',
        'label' => esc_html__('Set this top padding for mobile header', 'sparks'),
        'parent' => $mkd_content_padding_row,
        'options' => array(
            'yes' => 'Yes',
            'no' => 'No',
        )
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_content_bottom_padding',
        'type' => 'textsimple',
        'default_value' => '',
        'label' => esc_html__('Content Bottom Padding', 'sparks'),
        'parent' => $mkd_content_padding_row,
        'args' => array(
            'suffix' => 'px'
        )
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_page_comments_meta',
        'type' => 'selectblank',
        'label' => esc_html__('Show Comments', 'sparks'),
        'description' => esc_html__('Enabling this option will show comments on your page', 'sparks'),
        'parent' => $general_meta_box,
        'options' => array(
            'yes' => esc_html__('Yes', 'sparks'),
            'no' => esc_html__('No', 'sparks')
        )
    )
);