<?php

if (!function_exists('sparks_mikado_map_portfolio_settings')) {
    function sparks_mikado_map_portfolio_settings() {
        $meta_box = sparks_mikado_create_meta_box(array(
            'scope' => 'portfolio-item',
            'title' => esc_html__('Portfolio Settings', 'sparks'),
            'name' => 'portfolio_settings_meta_box'
        ));

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_portfolio_single_template_meta',
            'type' => 'select',
            'label' => esc_html__('Portfolio Type', 'sparks'),
            'description' => esc_html__('Choose a default type for Single Project pages', 'sparks'),
            'parent' => $meta_box,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'huge-images' => esc_html__('Portfolio Full Width Images', 'sparks'),
                'images' => esc_html__('Portfolio Images', 'sparks'),
                'small-images' => esc_html__('Portfolio Small Images', 'sparks'),
                'slider' => esc_html__('Portfolio Slider', 'sparks'),
                'small-slider' => esc_html__('Portfolio Small Slider', 'sparks'),
                'gallery' => esc_html__('Portfolio Gallery', 'sparks'),
                'small-gallery' => esc_html__('Portfolio Small Gallery', 'sparks'),
                'masonry' => esc_html__('Portfolio Masonry', 'sparks'),
                'small-masonry' => esc_html__('Portfolio Small Masonry', 'sparks'),
                'custom' => esc_html__('Portfolio Custom', 'sparks'),
                'full-width-custom' => esc_html__('Portfolio Full Width Custom', 'sparks')
            ),
            'args' => array(
                'dependence' => true,
                'show' => array(
                    '' => '',
                    'huge-images' => '',
                    'images' => '',
                    'small-images' => '',
                    'slider' => '',
                    'small-slider' => '',
                    'gallery' => '#mkd_mkd_gallery_type_meta_container',
                    'small-gallery' => '#mkd_mkd_gallery_type_meta_container',
                    'masonry' => '#mkd_mkd_masonry_type_meta_container',
                    'small-masonry' => '#mkd_mkd_masonry_type_meta_container',
                    'custom' => '',
                    'full-width-custom' => ''
                ),
                'hide' => array(
                    '' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'huge-images' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'images' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'small-images' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'slider' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'small-slider' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'gallery' => '#mkd_mkd_masonry_type_meta_container',
                    'small-gallery' => '#mkd_mkd_masonry_type_meta_container',
                    'masonry' => '#mkd_mkd_gallery_type_meta_container',
                    'small-masonry' => '#mkd_mkd_gallery_type_meta_container',
                    'custom' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container',
                    'full-width-custom' => '#mkd_mkd_gallery_type_meta_container, #mkd_mkd_masonry_type_meta_container'
                )
            )
        ));

        /***************** Gallery Layout *****************/

        $gallery_type_meta_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $meta_box,
                'name' => 'mkd_gallery_type_meta_container',
                'hidden_property' => 'mkd_portfolio_single_template_meta',
                'hidden_values' => array(
                    'huge-images',
                    'images',
                    'small-images',
                    'slider',
                    'small-slider',
                    'masonry',
                    'small-masonry',
                    'custom',
                    'full-width-custom'
                )
            )
        );

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_portfolio_single_gallery_columns_number_meta',
            'type' => 'select',
            'label' => esc_html__('Number of Columns', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Set number of columns for portfolio gallery type', 'sparks'),
            'parent' => $gallery_type_meta_container,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'two' => esc_html__('2 Columns', 'sparks'),
                'three' => esc_html__('3 Columns', 'sparks'),
                'four' => esc_html__('4 Columns', 'sparks')
            )
        ));

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_portfolio_single_gallery_space_between_items_meta',
            'type' => 'select',
            'label' => esc_html__('Space Between Items', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Set space size between columns for portfolio gallery type', 'sparks'),
            'parent' => $gallery_type_meta_container,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'normal' => esc_html__('Normal', 'sparks'),
                'small' => esc_html__('Small', 'sparks'),
                'tiny' => esc_html__('Tiny', 'sparks'),
                'no' => esc_html__('No Space', 'sparks')
            )
        ));

        /***************** Gallery Layout *****************/

        /***************** Masonry Layout *****************/

        $masonry_type_meta_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $meta_box,
                'name' => 'mkd_masonry_type_meta_container',
                'hidden_property' => 'mkd_portfolio_single_template_meta',
                'hidden_values' => array(
                    'huge-images',
                    'images',
                    'small-images',
                    'slider',
                    'small-slider',
                    'gallery',
                    'small-gallery',
                    'custom',
                    'full-width-custom'
                )
            )
        );

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_portfolio_single_masonry_columns_number_meta',
            'type' => 'select',
            'label' => esc_html__('Number of Columns', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Set number of columns for portfolio masonry type', 'sparks'),
            'parent' => $masonry_type_meta_container,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'two' => esc_html__('2 Columns', 'sparks'),
                'three' => esc_html__('3 Columns', 'sparks'),
                'four' => esc_html__('4 Columns', 'sparks')
            )
        ));

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_portfolio_single_masonry_space_between_items_meta',
            'type' => 'select',
            'label' => esc_html__('Space Between Items', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Set space size between columns for portfolio masonry type', 'sparks'),
            'parent' => $masonry_type_meta_container,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'normal' => esc_html__('Normal', 'sparks'),
                'small' => esc_html__('Small', 'sparks'),
                'tiny' => esc_html__('Tiny', 'sparks'),
                'no' => esc_html__('No Space', 'sparks')
            )
        ));

        /***************** Masonry Layout *****************/

        sparks_mikado_create_meta_box_field(array(
            'name' => 'portfolio_info_top_padding',
            'type' => 'text',
            'label' => esc_html__('Portfolio Info Top Padding', 'sparks'),
            'description' => esc_html__('Set top padding for portfolio info elements holder. This option works only for Portfolio Images, Slider, Gallery and Masonry portfolio types', 'sparks'),
            'parent' => $meta_box,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        $all_pages = array();
        $pages = get_pages();
        foreach ($pages as $page) {
            $all_pages[$page->ID] = $page->post_title;
        }

        sparks_mikado_create_meta_box_field(array(
            'name' => 'portfolio_single_back_to_link',
            'type' => 'select',
            'label' => esc_html__('"Back To" Link', 'sparks'),
            'description' => esc_html__('Choose "Back To" page to link from portfolio Single Project page', 'sparks'),
            'parent' => $meta_box,
            'options' => $all_pages,
            'args' => array(
                'select2' => true
            )
        ));

        sparks_mikado_create_meta_box_field(array(
            'name' => 'portfolio_external_link',
            'type' => 'text',
            'label' => esc_html__('Portfolio External Link', 'sparks'),
            'description' => esc_html__('Enter URL to link from Portfolio List page', 'sparks'),
            'parent' => $meta_box,
            'args' => array(
                'col_width' => 3
            )
        ));

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_portfolio_featured_image_meta',
                'type' => 'image',
                'label' => esc_html__('Featured Image', 'sparks'),
                'description' => esc_html__('Choose an image for Portfolio Lists shortcode where Hover Type option is Switch Featured Images', 'sparks'),
                'parent' => $meta_box
            )
        );

        sparks_mikado_create_meta_box_field(array(
            'name' => 'portfolio_masonry_dimensions',
            'type' => 'select',
            'label' => esc_html__('Dimensions for Masonry', 'sparks'),
            'description' => esc_html__('Choose image layout when it appears in Masonry type portfolio lists', 'sparks'),
            'parent' => $meta_box,
            'options' => array(
                '' => esc_html__('Default', 'sparks'),
                'large-width' => esc_html__('Large Width', 'sparks'),
            )
        ));
    }

    add_action('sparks_mikado_meta_boxes_map', 'sparks_mikado_map_portfolio_settings');
}