<?php

/*** Video Post Format ***/

$video_post_format_meta_box = sparks_mikado_create_meta_box(
	array(
		'scope' =>	array('post'),
		'title' =>esc_html__( 'Video Post Format','sparks'),
		'name' 	=> 'post_format_video_meta'
	)
);

sparks_mikado_create_meta_box_field(
	array(
		'name'        => 'mkd_video_type_meta',
		'type'        => 'select',
		'label'       => esc_html__('Video Type','sparks'),
		'description' => esc_html__('Choose video type','sparks'),
		'parent'      => $video_post_format_meta_box,
		'default_value' => 'social_networks',
		'options'     => array(
			'social_networks' => esc_html__('Youtube or Vimeo','sparks'),
			'self' => esc_html__('Self Hosted','sparks')
		),
		'args' => array(
		'dependence' => true,
		'hide' => array(
			'social_networks' => '#mkd_mkd_video_self_hosted_container',
			'self' => '#mkd_mkd_video_embedded_container'
		),
		'show' => array(
			'social_networks' => '#mkd_mkd_video_embedded_container',
			'self' => '#mkd_mkd_video_self_hosted_container')
	)
	)
);

$mkd_video_embedded_container = sparks_mikado_add_admin_container(
	array(
		'parent' => $video_post_format_meta_box,
		'name' => 'mkd_video_embedded_container',
		'hidden_property' => 'mkd_video_type_meta',
		'hidden_value' => 'self'
	)
);

$mkd_video_self_hosted_container = sparks_mikado_add_admin_container(
	array(
		'parent' => $video_post_format_meta_box,
		'name' => 'mkd_video_self_hosted_container',
		'hidden_property' => 'mkd_video_type_meta',
		'hidden_value' => 'social_networks'
	)
);



sparks_mikado_create_meta_box_field(
	array(
		'name'        => 'mkd_post_video_link_meta',
		'type'        => 'text',
		'label'       => esc_html__('Video URL','sparks'),
		'description' => esc_html__('Enter Video URL','sparks'),
		'parent'      => $mkd_video_embedded_container,

	)
);

sparks_mikado_create_meta_box_field(
	array(
		'name'        => 'mkd_post_video_image_meta',
		'type'        => 'image',
		'label'       => esc_html__('Video Image','sparks'),
		'description' => esc_html__('Upload video image','sparks'),
		'parent'      => $mkd_video_self_hosted_container,

	)
);

sparks_mikado_create_meta_box_field(
	array(
		'name'        => 'mkd_post_video_mp4_link_meta',
		'type'        => 'text',
		'label'       => esc_html__('Selfhosted Video URL','sparks'),
		'description' =>esc_html__( 'Enter video URL for MP4 format','sparks'),
		'parent'      => $mkd_video_self_hosted_container,

	)
);
