<?php

$custom_sidebars = sparks_mikado_get_custom_sidebars();

$sidebar_meta_box = sparks_mikado_create_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' => esc_html__('Sidebar', 'sparks'),
        'name' => 'sidebar_meta'
    )
);

sparks_mikado_create_meta_box_field(
    array(
        'name' => 'mkd_sidebar_meta',
        'type' => 'select',
        'label' => esc_html__('Layout', 'sparks'),
        'description' => esc_html__('Choose the sidebar layout', 'sparks'),
        'parent' => $sidebar_meta_box,
        'options' => array(
            '' => esc_html__('Default', 'sparks'),
            'no-sidebar' => esc_html__('No Sidebar', 'sparks'),
            'sidebar-33-right' => esc_html__('Sidebar 1/3 Right', 'sparks'),
            'sidebar-25-right' => esc_html__('Sidebar 1/4 Right', 'sparks'),
            'sidebar-33-left' => esc_html__('Sidebar 1/3 Left', 'sparks'),
            'sidebar-25-left' => esc_html__('Sidebar 1/4 Left', 'sparks'),
        )
    )
);

if (count($custom_sidebars) > 0) {
    sparks_mikado_create_meta_box_field(array(
        'name' => 'mkd_custom_sidebar_meta',
        'type' => 'selectblank',
        'label' => esc_html__('Choose Widget Area in Sidebar', 'sparks'),
        'description' => esc_html__('Choose Custom Widget area to display in Sidebar"', 'sparks'),
        'parent' => $sidebar_meta_box,
        'options' => $custom_sidebars,
        'args' => array(
            'select2' => true
        )
    ));
}
