<?php

$title_meta_box = sparks_mikado_create_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' =>esc_html__( 'Title','sparks'),
        'name' => 'title_meta'
    )
);

    sparks_mikado_create_meta_box_field(
        array(
            'name' => 'mkd_show_title_area_meta',
            'type' => 'select',
            'default_value' => '',
            'label' => esc_html__('Show Title Area','sparks'),
            'description' => esc_html__('Disabling this option will turn off page title area','sparks'),
            'parent' => $title_meta_box,
            'options' => array(
                '' => '',
                'no' =>esc_html__( 'No','sparks'),
                'yes' =>esc_html__( 'Yes','sparks')
            ),
            'args' => array(
                "dependence" => true,
                "hide" => array(
                    "" => "",
                    "no" => "#mkd_mkd_show_title_area_meta_container",
                    "yes" => ""
                ),
                "show" => array(
                    "" => "#mkd_mkd_show_title_area_meta_container",
                    "no" => "",
                    "yes" => "#mkd_mkd_show_title_area_meta_container"
                )
            )
        )
    );

    $show_title_area_meta_container = sparks_mikado_add_admin_container(
        array(
            'parent' => $title_meta_box,
            'name' => 'mkd_show_title_area_meta_container',
            'hidden_property' => 'mkd_show_title_area_meta',
            'hidden_value' => 'no'
        )
    );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_type_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Title Area Type','sparks'),
                'description' => esc_html__('Choose title type','sparks'),
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'standard' => esc_html__('Standard','sparks'),
                    'breadcrumb' => esc_html__('Breadcrumb','sparks')
                ),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
                        "standard" => "",
                        "breadcrumb" => "#mkd_mkd_title_area_type_meta_container"
                    ),
                    "show" => array(
                        "" => "#mkd_mkd_title_area_type_meta_container",
                        "standard" => "#mkd_mkd_title_area_type_meta_container",
                        "breadcrumb" => ""
                    )
                )
            )
        );

        $title_area_type_meta_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_title_area_type_meta_container',
                'hidden_property' => 'mkd_title_area_type_meta',
                'hidden_value' => '',
                'hidden_values' => array('breadcrumb'),
            )
        );

            sparks_mikado_create_meta_box_field(
                array(
                    'name' => 'mkd_title_area_enable_breadcrumbs_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' =>esc_html__( 'Enable Breadcrumbs','sparks'),
                    'description' => esc_html__('This option will display Breadcrumbs in Title Area','sparks'),
                    'parent' => $title_area_type_meta_container,
                    'options' => array(
                        '' => '',
                        'no'  => esc_html__('No','sparks'),
                        'yes' => esc_html__( 'Yes','sparks')
                    ),
                )
            );

            sparks_mikado_create_meta_box_field(
                array(
                    'name' => 'mkd_title_area_separator_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' =>esc_html__( 'Enable Separator','sparks'),
                    'description' => esc_html__('This option will display Separator in Title Area','sparks'),
                    'parent' => $title_area_type_meta_container,
                    'options' => array(
                        '' => '',
                        'no'  => esc_html__('No','sparks'),
                        'yes' => esc_html__('Yes','sparks')
                    ),
                )
            );

            sparks_mikado_create_meta_box_field(array(
                'type'			=> 'text',
                'name'			=> 'mkd_title_area_width_meta',
                'default_value'	=> '',
                'label'			=> esc_html__('Width','sparks'),
                'description'   => esc_html__('This option will set maximum content width in Title Area ("px" or "%")','sparks'),
                'parent'		=> $title_area_type_meta_container,
                'args' => array(
                    'col_width' => 3,
                )
            ));

            $group_page_title_styles = sparks_mikado_add_admin_group(array(
                'name'			=> 'group_page_title_styles',
                'title'			=> esc_html__('Title','sparks'),
                'description'	=> esc_html__('Define styles for page title','sparks'),
                'parent'		=> $title_area_type_meta_container
            ));

                $row_page_title_styles_1 = sparks_mikado_add_admin_row(array(
                    'name'		=> 'row_page_title_styles_1',
                    'parent'	=> $group_page_title_styles
                ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'colorsimple',
                        'name'			=> 'mkd_page_title_color_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__( 'Text Color','sparks'),
                        'parent'		=> $row_page_title_styles_1
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'textsimple',
                        'name'			=> 'mkd_page_title_fontsize_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__( 'Font Size','sparks'),
                        'args'			=> array(
                            'suffix'	=> 'px'
                        ),
                        'parent'		=> $row_page_title_styles_1
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'textsimple',
                        'name'			=> 'mkd_page_title_lineheight_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__( 'Line Height','sparks'),
                        'args'			=> array(
                            'suffix'	=> 'px'
                        ),
                        'parent'		=> $row_page_title_styles_1
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'selectblanksimple',
                        'name'			=> 'mkd_page_title_texttransform_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__('Text Transform','sparks'),
                        'options'		=> sparks_mikado_get_text_transform_array(),
                        'parent'		=> $row_page_title_styles_1
                    ));

                $row_page_title_styles_2 = sparks_mikado_add_admin_row(array(
                    'name'		=> 'row_page_title_styles_2',
                    'parent'	=> $group_page_title_styles,
                    'next'		=> true
                ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'selectblanksimple',
                        'name'			=> 'mkd_page_title_fontstyle_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__('Font Style','sparks'),
                        'options'		=> sparks_mikado_get_font_style_array(),
                        'parent'		=> $row_page_title_styles_2
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'selectblanksimple',
                        'name'			=> 'mkd_page_title_fontweight_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__( 'Font Weight','sparks'),
                        'options'		=> sparks_mikado_get_font_weight_array(),
                        'parent'		=> $row_page_title_styles_2
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'textsimple',
                        'name'			=> 'mkd_page_title_letter_spacing_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__('Letter Spacing','sparks'),
                        'args'			=> array(
                            'suffix'	=> 'px'
                        ),
                        'parent'		=> $row_page_title_styles_2
                    ));

                    sparks_mikado_create_meta_box_field(array(
                        'type'			=> 'textsimple',
                        'name'			=> 'mkd_page_title_margin_bottom_meta',
                        'default_value'	=> '',
                        'label'			=> esc_html__('Margin Bottom','sparks'),
                        'args'			=> array(
                            'suffix'	=> 'px'
                        ),
                        'parent'		=> $row_page_title_styles_2
                    ));

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_animation_meta',
                'type' => 'select',
                'default_value' => '',
                'label' =>esc_html__( 'Animations','sparks'),
                'description' =>esc_html__( 'Choose an animation for Title Area','sparks'),
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'no' => esc_html__('No Animation','sparks'),
                    'right-left' =>esc_html__( 'Text right to left','sparks'),
                    'left-right' =>esc_html__( 'Text left to right','sparks')
                )
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_vertial_alignment_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Vertical Alignment','sparks'),
                'description' =>esc_html__( 'Specify title vertical alignment','sparks'),
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'header_bottom' =>esc_html__( 'From Bottom of Header','sparks'),
                    'window_top' =>esc_html__( 'From Window Top','sparks')
                )
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_content_alignment_meta',
                'type' => 'select',
                'default_value' => '',
                'label' =>esc_html__( 'Horizontal Alignment','sparks'),
                'description' =>esc_html__( 'Specify title horizontal alignment','sparks'),
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => '',
                    'left' =>esc_html__( 'Left','sparks'),
                    'center' =>esc_html__( 'Center','sparks'),
                    'right' => esc_html__('Right','sparks')
                )
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_breadcrumb_color_meta',
                'type' => 'color',
                'label' =>esc_html__( 'Breadcrumb Color','sparks'),
                'description' =>esc_html__( 'Choose a color for breadcrumb text','sparks'),
                'parent' => $show_title_area_meta_container
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_color_meta',
                'type' => 'color',
                'label' => esc_html__('Background Color','sparks'),
                'description' =>esc_html__( 'Choose a background color for Title Area','sparks'),
                'parent' => $show_title_area_meta_container
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_hide_background_image_meta',
                'type' => 'yesno',
                'default_value' => 'no',
                'label' =>esc_html__( 'Hide Background Image','sparks'),
                'description' =>esc_html__( 'Enable this option to hide background image in Title Area','sparks'),
                'parent' => $show_title_area_meta_container,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "#mkd_mkd_hide_background_image_meta_container",
                    "dependence_show_on_yes" => ""
                )
            )
        );

        $hide_background_image_meta_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'mkd_hide_background_image_meta_container',
                'hidden_property' => 'mkd_hide_background_image_meta',
                'hidden_value' => 'yes'
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_image_meta',
                'type' => 'image',
                'label' =>esc_html__( 'Background Image','sparks'),
                'description' =>esc_html__( 'Choose an Image for Title Area','sparks'),
                'parent' => $hide_background_image_meta_container
            )
        );

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_title_area_background_image_responsive_meta',
                'type' => 'select',
                'default_value' => '',
                'label' =>esc_html__( 'Background Responsive Image','sparks'),
                'description' => esc_html__('Enabling this option will make Title background image responsive','sparks'),
                'parent' => $hide_background_image_meta_container,
                'options' => array(
                    '' => '',
                    'no' => esc_html__('No','sparks'),
                    'yes' =>esc_html__( 'Yes','sparks')
                ),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
                        "" => "",
                        "no" => "",
                        "yes" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta"
                    ),
                    "show" => array(
                        "" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta",
                        "no" => "#mkd_mkd_title_area_background_image_responsive_meta_container, #mkd_mkd_title_area_height_meta",
                        "yes" => ""
                    )
                )
            )
        );

        $title_area_background_image_responsive_meta_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $hide_background_image_meta_container,
                'name' => 'mkd_title_area_background_image_responsive_meta_container',
                'hidden_property' => 'mkd_title_area_background_image_responsive_meta',
                'hidden_value' => 'yes'
            )
        );

            sparks_mikado_create_meta_box_field(
                array(
                    'name' => 'mkd_title_area_background_image_parallax_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' => esc_html__('Background Image in Parallax','sparks'),
                    'description' =>esc_html__( 'Enabling this option will make Title background image parallax','sparks'),
                    'parent' => $title_area_background_image_responsive_meta_container,
                    'options' => array(
                        '' => '',
                        'no' => esc_html__('No','sparks'),
                        'yes' => esc_html__('Yes','sparks'),
                        'yes_zoom' =>esc_html__( 'Yes, with zoom out','sparks')
                    )
                )
            );

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_title_area_height_meta',
            'type' => 'text',
            'label' =>esc_html__( 'Height','sparks'),
            'description' => esc_html__('Set a height for Title Area','sparks'),
            'parent' => $show_title_area_meta_container,
            'args' => array(
                'col_width' => 2,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_create_meta_box_field(array(
            'name' => 'mkd_title_area_subtitle_meta',
            'type' => 'text',
            'default_value' => '',
            'label' => esc_html__('Subtitle Text','sparks'),
            'description' =>esc_html__( 'Enter your subtitle text','sparks'),
            'parent' => $show_title_area_meta_container,
            'args' => array(
                'col_width' => 6
            )
        ));

        sparks_mikado_create_meta_box_field(
            array(
                'name' => 'mkd_subtitle_color_meta',
                'type' => 'color',
                'label' => esc_html__('Subtitle Color','sparks'),
                'description' =>esc_html__( 'Choose a color for subtitle text','sparks'),
                'parent' => $show_title_area_meta_container
            )
        );