<?php

if (!function_exists('sparks_mikado_page_options_map')) {

    function sparks_mikado_page_options_map() {

        sparks_mikado_add_admin_page(
            array(
                'slug' => '_page_page',
                'title' => esc_html__('Page', 'sparks'),
                'icon' => 'fa fa-institution'
            )
        );

        $custom_sidebars = sparks_mikado_get_custom_sidebars();

        $panel_sidebar = sparks_mikado_add_admin_panel(
            array(
                'page' => '_page_page',
                'name' => 'panel_sidebar',
                'title' => esc_html__('Design Style', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'page_sidebar_layout',
            'type' => 'select',
            'label' => esc_html__('Sidebar Layout', 'sparks'),
            'description' => esc_html__('Choose a sidebar layout for pages', 'sparks'),
            'default_value' => 'default',
            'parent' => $panel_sidebar,
            'options' => array(
                'default' => esc_html__('No Sidebar', 'sparks'),
                'sidebar-33-right' => esc_html__('Sidebar 1/3 Right', 'sparks'),
                'sidebar-25-right' => esc_html__('Sidebar 1/4 Right', 'sparks'),
                'sidebar-33-left' => esc_html__('Sidebar 1/3 Left', 'sparks'),
                'sidebar-25-left' => esc_html__('Sidebar 1/4 Left', 'sparks')
            )
        ));


        if (count($custom_sidebars) > 0) {
            sparks_mikado_add_admin_field(array(
                'name' => 'page_custom_sidebar',
                'type' => 'selectblank',
                'label' => esc_html__('Sidebar to Display', 'sparks'),
                'description' => esc_html__('Choose a sidebar to display on pages. Default sidebar is "Sidebar"', 'sparks'),
                'parent' => $panel_sidebar,
                'options' => $custom_sidebars,
                'args' => array(
                    'select2' => true
                )
            ));
        }

        sparks_mikado_add_admin_field(array(
            'name' => 'page_show_comments',
            'type' => 'yesno',
            'label' => esc_html__('Show Comments', 'sparks'),
            'description' => esc_html__('Enabling this option will show comments on your page', 'sparks'),
            'default_value' => 'yes',
            'parent' => $panel_sidebar
        ));

    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_page_options_map', 7);

}