<?php

if (!function_exists('sparks_mikado_sidebar_options_map')) {

    function sparks_mikado_sidebar_options_map() {

        sparks_mikado_add_admin_page(
            array(
                'slug' => '_sidebar_page',
                'title' => esc_html__('Sidebar','sparks'),
                'icon' => 'fa fa-bars'
            )
        );

        $panel_widgets = sparks_mikado_add_admin_panel(
            array(
                'page' => '_sidebar_page',
                'name' => 'panel_widgets',
                'title' => esc_html__('Widgets','sparks')
            )
        );

        /**
         * Navigation style
         */

        sparks_mikado_add_admin_field(array(
            'name' => 'sidebar_widget_separator',
            'type' => 'yesno',
            'label' => esc_html__('Show Separator', 'sparks'),
            'description' => esc_html__('Enabling this option will show separator below title on widgets in sidebar.', 'sparks'),
            'parent' => $panel_widgets,
            'default_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'color',
            'name' => 'sidebar_background_color',
            'default_value' => '',
            'label' => esc_html__('Sidebar Background Color','sparks'),
            'description' => esc_html__('Choose background color for sidebar','sparks'),
            'parent' => $panel_widgets
        ));

        $group_sidebar_padding = sparks_mikado_add_admin_group(array(
            'name' => 'group_sidebar_padding',
            'title' => esc_html__('Padding','sparks'),
            'parent' => $panel_widgets
        ));

        $row_sidebar_padding = sparks_mikado_add_admin_row(array(
            'name' => 'row_sidebar_padding',
            'parent' => $group_sidebar_padding
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'sidebar_padding_top',
            'default_value' => '',
            'label' => esc_html__('Top Padding','sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_sidebar_padding
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'sidebar_padding_right',
            'default_value' => '',
            'label' => esc_html__('Right Padding','sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_sidebar_padding
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'sidebar_padding_bottom',
            'default_value' => '',
            'label' =>esc_html__( 'Bottom Padding','sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_sidebar_padding
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'sidebar_padding_left',
            'default_value' => '',
            'label' =>esc_html__( 'Left Padding','sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_sidebar_padding
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'select',
            'name' => 'sidebar_alignment',
            'default_value' => '',
            'label' => esc_html__('Text Alignment','sparks'),
            'description' => esc_html__('Choose text aligment','sparks'),
            'options' => array(
                'left' => esc_html__('Left','sparks'),
                'center' => esc_html__('Center','sparks'),
                'right' => esc_html__('Right','sparks')
            ),
            'parent' => $panel_widgets
        ));

    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_sidebar_options_map');

}