<?php

if (!function_exists('sparks_mikado_content_options_map')) {

    function sparks_mikado_content_options_map() {

        sparks_mikado_add_admin_page(
            array(
                'slug' => '_content_page',
                'title' => esc_html__('Content','sparks'),
                'icon' => 'fa fa-institution'
            )
        );

        $panel_content = sparks_mikado_add_admin_panel(
            array(
                'page' => '_content_page',
                'name' => 'panel_content',
                'title' => esc_html__('General','sparks')
            )
        );

        sparks_mikado_add_admin_field(array(
            'type' => 'text',
            'name' => 'content_top_padding',
            'description' => esc_html__('Enter top padding for content area for templates in full width. If you set this value then it\'s important to set also Content top padding for mobile header value','sparks'),
            'default_value' => '66',
            'label' => esc_html__('Content Top Padding for Template in Full Width','sparks'),
            'args' => array(
                'suffix' => 'px',
                'col_width' => 3
            ),
            'parent' => $panel_content
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'text',
            'name' => 'content_top_padding_in_grid',
            'description' => esc_html__('Enter top padding for content area for Templates in grid. If you set this value then it\'s important to set also Content top padding for mobile header value','sparks'),
            'default_value' => '66',
            'label' => esc_html__('Content Top Padding for Templates in Grid','sparks'),
            'args' => array(
                'suffix' => 'px',
                'col_width' => 3
            ),
            'parent' => $panel_content
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'text',
            'name' => 'content_top_padding_mobile',
            'description' => esc_html__('Enter top padding for content area for Mobile Header','sparks'),
            'default_value' => '',
            'label' => esc_html__('Content Top Padding for Mobile Header','sparks'),
            'args' => array(
                'suffix' => 'px',
                'col_width' => 3
            ),
            'parent' => $panel_content
        ));

    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_content_options_map', 8);

}