<?php

if (!function_exists('sparks_mikado_header_options_map')) {

    function sparks_mikado_header_options_map() {

        sparks_mikado_add_admin_page(
            array(
                'slug' => '_header_page',
                'title' => esc_html__('Header', 'sparks'),
                'icon' => 'fa fa-header'
            )
        );

        $panel_header = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header',
                'title' => esc_html__('Header', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header,
                'type' => 'radiogroup',
                'name' => 'header_type',
                'default_value' => 'header-standard',
                'label' => esc_html__('Choose Header Type', 'sparks'),
                'description' => esc_html__('Select the type of header you would like to use', 'sparks'),
                'options' => array(
                    'header-standard' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-standard.png',
                        'label' => esc_html__('Standard', 'sparks')
                    ),
                    'header-standard-extended' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-standard-extended.png',
                        'label' => esc_html__('Standard Extended', 'sparks')
                    ),
                    'header-box' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-box.png',
                        'label' => esc_html__('In The Box', 'sparks')
                    ),
                    'header-minimal' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-minimal.png',
                        'label' => esc_html__('Minimal', 'sparks')
                    ),
                    'header-divided' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-divided.png',
                        'label' => esc_html__('Divided', 'sparks')
                    ),
                    'header-centered' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-centered.png',
                        'label' => esc_html__('Centered', 'sparks')
                    ),
                    'header-vertical' => array(
                        'image' => MIKADO_FRAMEWORK_ROOT . '/admin/assets/img/header-vertical.png',
                        'label' => esc_html__('Vertical', 'sparks')
                    ),
                ),
                'args' => array(
                    'use_images' => true,
                    'hide_labels' => true,
                    'dependence' => true,
                    'show' => array(
                        'header-standard' => '#mkd_panel_header_standard,#mkd_header_behaviour,#mkd_panel_sticky_header,#mkd_panel_main_menu',
                        'header-standard-extended' => '#mkd_panel_header_standard_extended,#mkd_header_behaviour,#mkd_panel_sticky_header,#mkd_panel_main_menu',
                        'header-box' => '#mkd_panel_header_box,#mkd_header_behaviour,#mkd_panel_sticky_header,#mkd_panel_main_menu',
                        'header-minimal' => '#mkd_panel_header_minimal,#mkd_header_behaviour,#mkd_panel_fullscreen_menu,#mkd_panel_sticky_header',
                        'header-divided' => '#mkd_panel_header_divided,#mkd_header_behaviour,#mkd_panel_sticky_header,#mkd_panel_main_menu',
                        'header-centered' => '#mkd_panel_header_centered,#mkd_header_behaviour,#mkd_panel_sticky_header,#mkd_panel_main_menu',
                        'header-vertical' => '#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu',
                    ),
                    'hide' => array(
                        'header-standard' => '#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu,#mkd_panel_header_minimal,#mkd_panel_header_centered,#mkd_panel_fullscreen_menu,#mkd_panel_fixed_header,#mkd_panel_header_divided,#mkd_panel_header_standard_extended,#mkd_panel_header_box',
                        'header-standard-extended' => '#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu,#mkd_panel_header_standard,#mkd_panel_header_minimal,#mkd_panel_header_centered,#mkd_panel_fullscreen_menu,#mkd_panel_fixed_header,#mkd_panel_header_divided,#mkd_panel_header_box',
                        'header-box' => '#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu,#mkd_panel_header_standard,#mkd_panel_header_minimal,#mkd_panel_header_centered,#mkd_panel_fullscreen_menu,#mkd_panel_fixed_header,#mkd_panel_header_divided,#mkd_panel_header_standard_extended',
                        'header-minimal' => '#mkd_panel_header_standard,#mkd_panel_main_menu,#mkd_panel_header_vertical,#mkd_panel_fixed_header,#mkd_panel_header_divided,#mkd_panel_header_centered,#mkd_panel_header_standard_extended,#mkd_panel_header_box',
                        'header-divided' => '#mkd_panel_header_standard,#mkd_panel_header_minimal,#mkd_panel_header_centered,#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu,#mkd_panel_fullscreen_menu,#mkd_panel_fixed_header,#mkd_panel_header_standard_extended,#mkd_panel_header_box',
                        'header-centered' => '#mkd_panel_header_standard,#mkd_panel_header_minimal,#mkd_panel_header_divided,#mkd_panel_header_vertical,#mkd_panel_vertical_main_menu,#mkd_panel_fullscreen_menu,#mkd_panel_fixed_header,#mkd_panel_header_standard_extended,#mkd_panel_header_box',
                        'header-vertical' => '#mkd_panel_header_standard,#mkd_header_behaviour,#mkd_panel_fixed_header,#mkd_panel_sticky_header,#mkd_panel_main_menu,#mkd_panel_header_minimal,#mkd_panel_header_centered,#mkd_panel_fullscreen_menu,#mkd_panel_header_divided,#mkd_panel_header_standard_extended,#mkd_panel_header_box',
                    )
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header,
                'type' => 'select',
                'name' => 'header_behaviour',
                'default_value' => 'sticky-header-on-scroll-up',
                'label' => esc_html__('Choose Header behaviour', 'sparks'),
                'description' => esc_html__('Select the behaviour of header when you scroll down to page', 'sparks'),
                'options' => array(
                    'no-behavior' => esc_html__('No Behavior', 'sparks'),
                    'sticky-header-on-scroll-up' => esc_html__('Sticky on scrol up', 'sparks'),
                    'sticky-header-on-scroll-down-up' => esc_html__('Sticky on scrol up/down', 'sparks'),
                    'fixed-on-scroll' => esc_html__('Fixed on scroll', 'sparks')
                ),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array('header-vertical'),
                'args' => array(
                    'dependence' => true,
                    'show' => array(
                        'sticky-header-on-scroll-up' => '#mkd_panel_sticky_header',
                        'sticky-header-on-scroll-down-up' => '#mkd_panel_sticky_header',
                        'fixed-on-scroll' => '',
                    ),
                    'hide' => array(
                        'sticky-header-on-scroll-up' => '#mkd_panel_fixed_header',
                        'sticky-header-on-scroll-down-up' => '#mkd_panel_fixed_header',
                        'no-behavior' => '#mkd_panel_fixed_header, #mkd_panel_fixed_header, #mkd_panel_sticky_header',
                        'fixed-on-scroll' => '#mkd_panel_sticky_header',
                    )
                )
            )
        );

        /***************** Top Bar Start *******************/

        sparks_mikado_add_admin_field(
            array(
                'name' => 'top_bar',
                'type' => 'yesno',
                'default_value' => 'no',
                'label' => esc_html__('Top Bar', 'sparks'),
                'description' => esc_html__('Enabling this option will show top bar area', 'sparks'),
                'parent' => $panel_header,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_top_bar_container"
                )
            )
        );

        $top_bar_container = sparks_mikado_add_admin_container(array(
            'name' => 'top_bar_container',
            'parent' => $panel_header,
            'hidden_property' => 'top_bar',
            'hidden_value' => 'no'
        ));

        sparks_mikado_add_admin_field(
            array(
                'parent' => $top_bar_container,
                'type' => 'select',
                'name' => 'top_bar_layout',
                'default_value' => 'three-columns',
                'label' => esc_html__('Choose top bar layout', 'sparks'),
                'description' => esc_html__('Select the layout for top bar', 'sparks'),
                'options' => array(
                    'two-columns' => esc_html__('Two columns', 'sparks'),
                    'three-columns' => esc_html__('Three columns', 'sparks')
                ),
                'args' => array(
                    'dependence' => true,
                    'hide' => array(
                        'two-columns' => '#mkd_top_bar_layout_container',
                        'three-columns' => '#mkd_top_bar_two_columns_layout_container'
                    ),
                    'show' => array(
                        'two-columns' => '#mkd_top_bar_two_columns_layout_container',
                        'three-columns' => '#mkd_top_bar_layout_container'
                    )
                )
            )
        );

        $top_bar_layout_container = sparks_mikado_add_admin_container(array(
            'name' => 'top_bar_layout_container',
            'parent' => $top_bar_container,
            'hidden_property' => 'top_bar_layout',
            'hidden_value' => '',
            'hidden_values' => array('two-columns'),
        ));

        sparks_mikado_add_admin_field(
            array(
                'parent' => $top_bar_layout_container,
                'type' => 'select',
                'name' => 'top_bar_column_widths',
                'default_value' => '30-30-30',
                'label' => esc_html__('Choose column widths', 'sparks'),
                'description' => '',
                'options' => array(
                    '30-30-30' => '33% - 33% - 33%',
                    '25-50-25' => '25% - 50% - 25%'
                )
            )
        );

        $top_bar_two_columns_layout = sparks_mikado_add_admin_container(array(
            'name' => 'top_bar_two_columns_layout_container',
            'parent' => $top_bar_container,
            'hidden_property' => 'top_bar_layout',
            'hidden_value' => '',
            'hidden_values' => array('three-columns'),
        ));

        sparks_mikado_add_admin_field(
            array(
                'parent' => $top_bar_two_columns_layout,
                'type' => 'select',
                'name' => 'top_bar_two_column_widths',
                'default_value' => '50-50',
                'label' => esc_html__('Choose column widths', 'sparks'),
                'description' => '',
                'options' => array(
                    '50-50' => '50% - 50%',
                    '33-66' => '33% - 66%',
                    '66-33' => '66% - 33%'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'name' => 'top_bar_in_grid',
                'type' => 'yesno',
                'default_value' => 'yes',
                'label' => esc_html__('Top Bar in grid', 'sparks'),
                'description' => esc_html__('Set top bar content to be in grid', 'sparks'),
                'parent' => $top_bar_container,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_top_bar_in_grid_container"
                )
            )
        );

        $top_bar_in_grid_container = sparks_mikado_add_admin_container(array(
            'name' => 'top_bar_in_grid_container',
            'parent' => $top_bar_container,
            'hidden_property' => 'top_bar_in_grid',
            'hidden_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'top_bar_grid_background_color',
            'type' => 'color',
            'label' => esc_html__('Grid Background Color', 'sparks'),
            'description' => esc_html__('Set grid background color for top bar', 'sparks'),
            'parent' => $top_bar_in_grid_container
        ));


        sparks_mikado_add_admin_field(array(
            'name' => 'top_bar_grid_background_transparency',
            'type' => 'text',
            'label' => esc_html__('Grid Background Transparency', 'sparks'),
            'description' => esc_html__('Set grid background transparency for top bar', 'sparks'),
            'parent' => $top_bar_in_grid_container,
            'args' => array('col_width' => 3)
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'top_bar_background_color',
            'type' => 'color',
            'label' => esc_html__('Background Color', 'sparks'),
            'description' => esc_html__('Set background color for top bar', 'sparks'),
            'parent' => $top_bar_container
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'top_bar_background_transparency',
            'type' => 'text',
            'label' => esc_html__('Background Transparency', 'sparks'),
            'description' => esc_html__('Set background transparency for top bar', 'sparks'),
            'parent' => $top_bar_container,
            'args' => array('col_width' => 3)
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'top_bar_height',
            'type' => 'text',
            'label' => esc_html__('Top bar height', 'sparks'),
            'description' => esc_html__('Enter top bar height (Default is 43px)', 'sparks'),
            'parent' => $top_bar_container,
            'args' => array(
                'col_width' => 2,
                'suffix' => 'px'
            )
        ));

        /***************** Top Bar End *******************/

        /***************** Header Style Start *******************/

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header,
                'type' => 'select',
                'name' => 'header_style',
                'default_value' => '',
                'label' => esc_html__('Header Skin', 'sparks'),
                'description' => esc_html__('Choose a header style to make header elements (logo, main menu, side menu button) in that predefined style', 'sparks'),
                'options' => array(
                    '' => '',
                    'light-header' => esc_html__('Light', 'sparks'),
                    'dark-header' => esc_html__('Dark', 'sparks')
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header,
                'type' => 'yesno',
                'name' => 'enable_header_style_on_scroll',
                'default_value' => 'no',
                'label' => esc_html__('Enable Header Style on Scroll', 'sparks'),
                'description' => esc_html__('Enabling this option, header will change style depending on row settings for dark/light style', 'sparks'),
            )
        );

        /***************** Header Style End *******************/

        /***************** Header Standard Start *******************/


        $panel_header_standard = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_standard',
                'title' => esc_html__('Header Standard', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-standard-extended',
                    'header-box',
                    'header-vertical',
                    'header-minimal',
                    'header-centered',
                    'header-divided'
                )
            )
        );

        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_standard,
                'name' => 'menu_area_title',
                'title' => esc_html__('Menu Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_header_standard',
                'default_value' => 'yes',
                'label' => esc_html__('Header In Grid', 'sparks'),
                'description' => esc_html__('Set header content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_in_grid_header_standard_container'
                )
            )
        );

        $menu_area_in_grid_header_standard_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard,
                'name' => 'menu_area_in_grid_header_standard_container',
                'hidden_property' => 'menu_area_in_grid_header_standard',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_container,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_standard',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_container,
                'type' => 'text',
                'name' => 'menu_area_grid_background_transparency_header_standard',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_container,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_shadow_header_standard',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on grid area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'select',
                'name' => 'menu_area_position_header_standard',
                'default_value' => 'left',
                'label' => esc_html__('Position of Menu', 'sparks'),
                'description' => esc_html__('Set position of menu in header', 'sparks'),
                'options' => array(
                    'left' => esc_html__('Left (Next To Logo)', 'sparks'),
                    'right' => esc_html__('Right', 'sparks'),
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'color',
                'name' => 'menu_area_background_color_header_standard',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for header', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'text',
                'name' => 'menu_area_background_transparency_header_standard',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'yesno',
                'name' => 'menu_area_shadow_header_standard',
                'default_value' => 'yes',
                'label' => esc_html__('Header Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_standard',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_standard_container'
                )
            )
        );

        $menu_area_border_standard_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard,
                'name' => 'menu_area_border_standard_container',
                'hidden_property' => 'menu_area_border_header_standard',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_standard_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_standard_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard,
                'type' => 'text',
                'name' => 'menu_area_height_header_standard',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter header height (default is 100px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** Header Standard End *******************/

        /***************** Header Minimal Start *******************/

        $panel_header_minimal = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_minimal',
                'title' => esc_html__('Header Minimal', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-vertical',
                    'header-standard',
                    'header-standard-extended',
                    'header-box',
                    'header-centered',
                    'header-divided'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_header_minimal',
                'default_value' => 'no',
                'label' => esc_html__('Header In Grid', 'sparks'),
                'description' => esc_html__('Set header content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_in_grid_header_minimal_container'
                )
            )
        );

        $menu_area_in_grid_header_minimal_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_minimal,
                'name' => 'menu_area_in_grid_header_minimal_container',
                'hidden_property' => 'menu_area_in_grid_header_minimal',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_minimal_container,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_minimal',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_minimal_container,
                'type' => 'text',
                'name' => 'menu_area_grid_background_transparency_header_minimal',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_minimal_container,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_shadow_header_minimal',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on grid area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'color',
                'name' => 'menu_area_background_color_header_minimal',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for header', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'text',
                'name' => 'menu_area_background_transparency_header_minimal',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'yesno',
                'name' => 'menu_area_shadow_header_minimal',
                'default_value' => 'yes',
                'label' => esc_html__('Header Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_minimal',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_minimal_container'
                )
            )
        );

        $menu_area_border_minimal_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_minimal,
                'name' => 'menu_area_border_minimal_container',
                'hidden_property' => 'menu_area_border_header_minimal',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_minimal_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_minimal_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_minimal,
                'type' => 'text',
                'name' => 'menu_area_height_header_minimal',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter header height (default is 100px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** Header Minimal Start *******************/

        /***************** Divided Header Layout *******************/

        $panel_header_divided = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_divided',
                'title' => esc_html__('Header Divided', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-standard',
                    'header-standard-extended',
                    'header-box',
                    'header-minimal',
                    'header-centered',
                    'header-vertical'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_header_divided',
                'default_value' => 'no',
                'label' => esc_html__('Header In Grid', 'sparks'),
                'description' => esc_html__('Set header content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_in_grid_header_divided_container'
                )
            )
        );

        $menu_area_in_grid_header_divided_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_divided,
                'name' => 'menu_area_in_grid_header_divided_container',
                'hidden_property' => 'menu_area_in_grid_header_divided',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_divided_container,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_divided',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_divided_container,
                'type' => 'text',
                'name' => 'menu_area_grid_background_transparency_header_divided',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_divided_container,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_shadow_header_divided',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on grid area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'color',
                'name' => 'menu_area_background_color_header_divided',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
                'description' => esc_html__('Set background color for header', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'text',
                'name' => 'menu_area_background_transparency_header_divided',
                'default_value' => '',
                'label' => esc_html__('Background Transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for header', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );


        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'yesno',
                'name' => 'menu_area_shadow_header_divided',
                'default_value' => 'yes',
                'label' => esc_html__('Header Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on header area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_divided',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_divided_container'
                )
            )
        );

        $menu_area_border_divided_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_divided,
                'name' => 'menu_area_border_divided_container',
                'hidden_property' => 'menu_area_border_header_divided',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_divided_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_divided_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_divided,
                'type' => 'text',
                'name' => 'menu_area_height_header_divided',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter Header Height (default is 100px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** Divided Header Layout - end *******************/

        /***************** Centered Header Layout - start ****************/

        $panel_header_centered = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_centered',
                'title' => esc_html__('Header Centered', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-vertical',
                    'header-standard',
                    'header-standard-extended',
                    'header-box',
                    'header-minimal',
                    'header-divided',
                )
            )
        );

        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_centered,
                'name' => 'logo_menu_area_title',
                'title' => esc_html__('Logo Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'select',
                'name' => 'logo_area_style_header_centered',
                'default_value' => '',
                'label' => esc_html__('Logo Area Skin', 'sparks'),
                'description' => esc_html__('Choose a logo area style to make logo in that predefined style', 'sparks'),
                'options' => array(
                    '' => '',
                    'light-logo-area' => esc_html__('Light', 'sparks'),
                    'dark-logo-area' => esc_html__('Dark', 'sparks')
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'yesno',
                'name' => 'logo_area_in_grid_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Logo Area In Grid', 'sparks'),
                'description' => esc_html__('Set menu area content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_in_grid_header_centered_container'
                )
            )
        );

        $logo_area_in_grid_header_centered_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_centered,
                'name' => 'logo_area_in_grid_header_centered_container',
                'hidden_property' => 'logo_area_in_grid_header_centered',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_centered_container,
                'type' => 'color',
                'name' => 'logo_area_grid_background_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for logo area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_centered_container,
                'type' => 'text',
                'name' => 'logo_area_grid_background_transparency_header_centered',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_centered_container,
                'type' => 'yesno',
                'name' => 'logo_area_in_grid_border_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Border', 'sparks'),
                'description' => esc_html__('Set border on grid area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_in_grid_border_header_centered_container'
                )
            )
        );

        $logo_area_in_grid_border_header_centered_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $logo_area_in_grid_header_centered_container,
                'name' => 'logo_area_in_grid_border_header_centered_container',
                'hidden_property' => 'logo_area_in_grid_border_header_centered',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_border_header_centered_container,
                'type' => 'color',
                'name' => 'logo_area_in_grid_border_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for grid area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'color',
                'name' => 'logo_area_background_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for logo area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'text',
                'name' => 'logo_area_background_transparency_header_centered',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for logo area', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'yesno',
                'name' => 'logo_area_border_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Logo Area Border', 'sparks'),
                'description' => esc_html__('Set border on logo area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_border_header_centered_container'
                )
            )
        );

        $logo_area_border_header_centered_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_centered,
                'name' => 'logo_area_border_header_centered_container',
                'hidden_property' => 'logo_area_border_header_centered',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_border_header_centered_container,
                'type' => 'color',
                'name' => 'logo_area_border_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for logo area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'text',
                'name' => 'logo_wrapper_padding_header_centered',
                'default_value' => '',
                'label' => esc_html__('Logo Padding', 'sparks'),
                'description' => esc_html__('Please insert padding in format: 0px 0px 1px 0px', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'text',
                'name' => 'logo_area_height_header_centered',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter logo area height (default is 155px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );


        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_centered,
                'name' => 'main_menu_area_title',
                'title' => esc_html__('Menu Area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Menu Area In Grid', 'sparks'),
                'description' => esc_html__('Set menu area content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_in_grid_header_centered_container'
                )
            )
        );

        $menu_area_in_grid_header_centered_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_centered,
                'name' => 'menu_area_in_grid_header_centered_container',
                'hidden_property' => 'menu_area_in_grid_header_centered',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_centered_container,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_centered_container,
                'type' => 'text',
                'name' => 'menu_area_grid_background_transparency_header_centered',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_centered_container,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_shadow_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on grid area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'color',
                'name' => 'menu_area_background_color_header_centered',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for menu area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'text',
                'name' => 'menu_area_background_transparency_header_centered',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for menu area', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'yesno',
                'name' => 'menu_area_shadow_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Menu Area Shadow', 'sparks'),
                'description' => esc_html__('Set border on menu area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_centered',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_centered_container'
                )
            )
        );

        $menu_area_border_centered_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_centered,
                'name' => 'menu_area_border_centered_container',
                'hidden_property' => 'menu_area_border_header_centered',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_centered_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_centered_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_centered,
                'type' => 'text',
                'name' => 'menu_area_height_header_centered',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter menu area height (default is 100px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** Centered Header Layout - end ****************/


        /***************** Standard Extended Header Layout - start ****************/

        $panel_header_standard_extended = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_standard_extended',
                'title' => esc_html__('Header Standard Extended', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-vertical',
                    'header-standard',
                    'header-box',
                    'header-minimal',
                    'header-divided',
                    'header-centered'
                )
            )
        );

        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'logo_menu_area_title',
                'title' => esc_html__('Logo Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'select',
                'name' => 'logo_area_style_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Logo Area Skin', 'sparks'),
                'description' => esc_html__('Choose a logo area style to make logo in that predefined style', 'sparks'),
                'options' => array(
                    '' => '',
                    'light-logo-area' => esc_html__('Light', 'sparks'),
                    'dark-logo-area' => esc_html__('Dark', 'sparks')
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'yesno',
                'name' => 'logo_area_in_grid_header_standard_extended',
                'default_value' => 'yes',
                'label' => esc_html__('Logo Area In Grid', 'sparks'),
                'description' => esc_html__('Set menu area content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_in_grid_header_standard_extended_container'
                )
            )
        );

        $logo_area_in_grid_header_standard_extended_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'logo_area_in_grid_header_standard_extended_container',
                'hidden_property' => 'logo_area_in_grid_header_standard_extended',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_standard_extended_container,
                'type' => 'color',
                'name' => 'logo_area_grid_background_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for logo area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_standard_extended_container,
                'type' => 'text',
                'name' => 'logo_area_grid_background_transparency_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_header_standard_extended_container,
                'type' => 'yesno',
                'name' => 'logo_area_in_grid_border_header_standard_extended',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Border', 'sparks'),
                'description' => esc_html__('Set border on grid area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_in_grid_border_header_standard_extended_container'
                )
            )
        );

        $logo_area_in_grid_border_header_standard_extended_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $logo_area_in_grid_header_standard_extended_container,
                'name' => 'logo_area_in_grid_border_header_standard_extended_container',
                'hidden_property' => 'logo_area_in_grid_border_header_standard_extended',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_in_grid_border_header_standard_extended_container,
                'type' => 'color',
                'name' => 'logo_area_in_grid_border_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for grid area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'color',
                'name' => 'logo_area_background_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for logo area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'text',
                'name' => 'logo_area_background_transparency_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for logo area', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'yesno',
                'name' => 'logo_area_border_header_standard_extended',
                'default_value' => 'yes',
                'label' => esc_html__('Logo Area Border', 'sparks'),
                'description' => esc_html__('Set border on logo area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_border_header_standard_extended_container'
                )
            )
        );

        $logo_area_border_header_standard_extended_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'logo_area_border_header_standard_extended_container',
                'hidden_property' => 'logo_area_border_header_standard_extended',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_border_header_standard_extended_container,
                'type' => 'color',
                'name' => 'logo_area_border_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for logo area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'text',
                'name' => 'logo_area_height_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter logo area height (default is 90px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );


        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'main_menu_area_title',
                'title' => esc_html__('Menu Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_header_standard_extended',
                'default_value' => 'yes',
                'label' => esc_html__('Menu Area In Grid', 'sparks'),
                'description' => esc_html__('Set menu area content to be in grid', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_in_grid_header_standard_extended_container'
                )
            )
        );

        $menu_area_in_grid_header_standard_extended_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'menu_area_in_grid_header_standard_extended_container',
                'hidden_property' => 'menu_area_in_grid_header_standard_extended',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_extended_container,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Grid Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_extended_container,
                'type' => 'text',
                'name' => 'menu_area_grid_background_transparency_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Grid Background Transparency', 'sparks'),
                'description' => esc_html__('Set grid background transparency', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_in_grid_header_standard_extended_container,
                'type' => 'yesno',
                'name' => 'menu_area_in_grid_shadow_header_standard_extended',
                'default_value' => 'no',
                'label' => esc_html__('Grid Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on grid area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'color',
                'name' => 'menu_area_background_color_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Background color', 'sparks'),
                'description' => esc_html__('Set background color for menu area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'text',
                'name' => 'menu_area_background_transparency_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Background transparency', 'sparks'),
                'description' => esc_html__('Set background transparency for menu area', 'sparks'),
                'args' => array(
                    'col_width' => 3
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'yesno',
                'name' => 'menu_area_shadow_header_standard_extended',
                'default_value' => 'yes',
                'label' => esc_html__('Menu Area Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_standard_extended',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_standard_extended_container'
                )
            )
        );

        $menu_area_border_standard_extended_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_standard_extended,
                'name' => 'menu_area_border_standard_extended_container',
                'hidden_property' => 'menu_area_border_header_standard_extended',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_standard_extended_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_standard_extended_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_standard_extended,
                'type' => 'text',
                'name' => 'menu_area_height_header_standard_extended',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter menu area height (default is 80px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** Standard Extended Header Layout - end ****************/

        /***************** In The Box Header Layout - start ****************/

        $panel_header_box = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_box',
                'title' => esc_html__('Header "In The Box"', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-standard',
                    'header-standard-extended',
                    'header-vertical',
                    'header-minimal',
                    'header-centered',
                    'header-divided'
                )
            )
        );


        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_box,
                'name' => 'logo_area_title',
                'title' => esc_html__('Logo Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_box,
                'type' => 'yesno',
                'name' => 'logo_area_header_box',
                'default_value' => 'no',
                'label' => esc_html__('Enable Logo Area', 'sparks'),
                'description' => esc_html__('Set Logo Area over the menu area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_logo_area_box_container'
                )
            )
        );

        $logo_area_box_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_box,
                'name' => 'logo_area_box_container',
                'hidden_property' => 'logo_area_header_box',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $logo_area_box_container,
                'type' => 'select',
                'name' => 'logo_area_style_header_box',
                'default_value' => '',
                'label' => esc_html__('Logo Area Skin', 'sparks'),
                'description' => esc_html__('Choose a logo area style to make logo in that predefined style', 'sparks'),
                'options' => array(
                    '' => '',
                    'light-logo-area' => esc_html__('Light', 'sparks'),
                    'dark-logo-area' => esc_html__('Dark', 'sparks')
                )
            )
        );


        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_header_box,
                'name' => 'main_menu_area_title',
                'title' => esc_html__('Menu Area', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_box,
                'type' => 'color',
                'name' => 'menu_area_grid_background_color_header_box',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
                'description' => esc_html__('Set grid background color for header area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_box,
                'type' => 'yesno',
                'name' => 'menu_area_border_header_box',
                'default_value' => 'no',
                'label' => esc_html__('Header Area Border', 'sparks'),
                'description' => esc_html__('Set border on header area', 'sparks'),
                'args' => array(
                    'dependence' => true,
                    'dependence_hide_on_yes' => '',
                    'dependence_show_on_yes' => '#mkd_menu_area_border_box_container'
                )
            )
        );

        $menu_area_border_box_container = sparks_mikado_add_admin_container(
            array(
                'parent' => $panel_header_box,
                'name' => 'menu_area_border_box_container',
                'hidden_property' => 'menu_area_border_header_box',
                'hidden_value' => 'no'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $menu_area_border_box_container,
                'type' => 'color',
                'name' => 'menu_area_border_header_box_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
                'description' => esc_html__('Set border color for menu area', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_box,
                'type' => 'text',
                'name' => 'menu_area_height_header_box',
                'default_value' => '',
                'label' => esc_html__('Height', 'sparks'),
                'description' => esc_html__('Enter header height (default is 100px)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_box,
                'type' => 'text',
                'name' => 'menu_area_border_box_header_box',
                'default_value' => '',
                'label' => esc_html__('Header Border Radius', 'sparks'),
                'description' => esc_html__('Enter border radius for Header (e.g. 2px or 5%)', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => 'px'
                )
            )
        );

        /***************** In The Box Header Layout - end ****************/

        /***************** Header Vertical - start ****************/

        do_action('sparks_mikado_header_options_map');

        $panel_header_vertical = sparks_mikado_add_admin_panel(
            array(
                'page' => '_header_page',
                'name' => 'panel_header_vertical',
                'title' => esc_html__('Header Vertical', 'sparks'),
                'hidden_property' => 'header_type',
                'hidden_value' => '',
                'hidden_values' => array(
                    'header-standard',
                    'header-standard-extended',
                    'header-box',
                    'header-minimal',
                    'header-centered',
                    'header-divided'
                )
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'vertical_header_background_color',
            'type' => 'color',
            'label' => esc_html__('Background Color', 'sparks'),
            'description' => esc_html__('Set background color for vertical menu', 'sparks'),
            'parent' => $panel_header_vertical
        ));

        sparks_mikado_add_admin_field(
            array(
                'name' => 'vertical_header_background_image',
                'type' => 'image',
                'default_value' => '',
                'label' => esc_html__('Background Image', 'sparks'),
                'description' => esc_html__('Set background image for vertical menu', 'sparks'),
                'parent' => $panel_header_vertical
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_vertical,
                'type' => 'select',
                'name' => 'vertical_header_align',
                'default_value' => 'center',
                'label' => esc_html__('Horizontal Align', 'sparks'),
                'description' => esc_html__('Choose alignment for vertical menu', 'sparks'),
                'options' => array(
                    'center' => 'Center',
                    'left' => 'Left',
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_header_vertical,
                'type' => 'yesno',
                'name' => 'vertical_header_shadow',
                'default_value' => 'yes',
                'label' => esc_html__('Shadow', 'sparks'),
                'description' => esc_html__('Set shadow on vertical header', 'sparks'),
            )
        );

        /***************** Header Vertical - end ****************/

        /***************** Header Sticky - start ****************/

        $panel_sticky_header = sparks_mikado_add_admin_panel(
            array(
                'title' => esc_html__('Sticky Header', 'sparks'),
                'name' => 'panel_sticky_header',
                'page' => '_header_page',
                'hidden_property' => 'header_behaviour',
                'hidden_values' => array(
                    'no-behavior',
                    'fixed-on-scroll'

                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'name' => 'scroll_amount_for_sticky',
                'type' => 'text',
                'label' => esc_html__('Scroll Amount for Sticky', 'sparks'),
                'description' => esc_html__('Enter scroll amount for Sticky Menu to appear (deafult is header height)', 'sparks'),
                'parent' => $panel_sticky_header,
                'args' => array(
                    'col_width' => 2,
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'name' => 'sticky_header_in_grid',
                'type' => 'yesno',
                'default_value' => 'yes',
                'label' => esc_html__('Sticky Header in grid', 'sparks'),
                'description' => esc_html__('Set sticky header content to be in grid', 'sparks'),
                'parent' => $panel_sticky_header,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_sticky_header_in_grid_container"
                )
            )
        );

        $sticky_header_in_grid_container = sparks_mikado_add_admin_container(array(
            'name' => 'sticky_header_in_grid_container',
            'parent' => $panel_sticky_header,
            'hidden_property' => 'sticky_header_in_grid',
            'hidden_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_header_grid_background_color',
            'type' => 'color',
            'label' => esc_html__('Grid Background Color', 'sparks'),
            'description' => esc_html__('Set grid background color for sticky header', 'sparks'),
            'parent' => $sticky_header_in_grid_container
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_header_grid_transparency',
            'type' => 'text',
            'label' => esc_html__('Sticky Header Grid Transparency', 'sparks'),
            'description' => esc_html__('Enter transparency for sticky header grid (value from 0 to 1)', 'sparks'),
            'parent' => $sticky_header_in_grid_container,
            'args' => array(
                'col_width' => 1
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_header_background_color',
            'type' => 'color',
            'label' => esc_html__('Background Color', 'sparks'),
            'description' => esc_html__('Set background color for sticky header', 'sparks'),
            'parent' => $panel_sticky_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_header_transparency',
            'type' => 'text',
            'label' => esc_html__('Sticky Header Transparency', 'sparks'),
            'description' => esc_html__('Enter transparency for sticky header (value from 0 to 1)', 'sparks'),
            'parent' => $panel_sticky_header,
            'args' => array(
                'col_width' => 1
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_header_height',
            'type' => 'text',
            'label' => esc_html__('Sticky Header Height', 'sparks'),
            'description' => esc_html__('Enter height for sticky header (default is 100px)', 'sparks'),
            'parent' => $panel_sticky_header,
            'args' => array(
                'col_width' => 2,
                'suffix' => 'px'
            )
        ));

        $group_sticky_header_menu = sparks_mikado_add_admin_group(array(
            'title' => esc_html__('Sticky Header Menu', 'sparks'),
            'name' => 'group_sticky_header_menu',
            'parent' => $panel_sticky_header,
            'description' => esc_html__('Define styles for sticky menu items', 'sparks'),
        ));

        $row1_sticky_header_menu = sparks_mikado_add_admin_row(array(
            'name' => 'row1',
            'parent' => $group_sticky_header_menu
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'sticky_color',
            'type' => 'colorsimple',
            'label' => esc_html__('Text Color', 'sparks'),
            'description' => '',
            'parent' => $row1_sticky_header_menu
        ));

        $row2_sticky_header_menu = sparks_mikado_add_admin_row(array(
            'name' => 'row2',
            'parent' => $group_sticky_header_menu
        ));

        sparks_mikado_add_admin_field(
            array(
                'name' => 'sticky_google_fonts',
                'type' => 'fontsimple',
                'label' => esc_html__('Font Family', 'sparks'),
                'default_value' => '-1',
                'parent' => $row2_sticky_header_menu,
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'type' => 'textsimple',
                'name' => 'sticky_fontsize',
                'label' => esc_html__('Font Size', 'sparks'),
                'default_value' => '',
                'parent' => $row2_sticky_header_menu,
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'type' => 'textsimple',
                'name' => 'sticky_lineheight',
                'label' => esc_html__('Line height', 'sparks'),
                'default_value' => '',
                'parent' => $row2_sticky_header_menu,
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'type' => 'selectblanksimple',
                'name' => 'sticky_texttransform',
                'label' => esc_html__('Text transform', 'sparks'),
                'default_value' => '',
                'options' => sparks_mikado_get_text_transform_array(),
                'parent' => $row2_sticky_header_menu
            )
        );

        $row3_sticky_header_menu = sparks_mikado_add_admin_row(array(
            'name' => 'row3',
            'parent' => $group_sticky_header_menu
        ));

        sparks_mikado_add_admin_field(
            array(
                'type' => 'selectblanksimple',
                'name' => 'sticky_fontstyle',
                'default_value' => '',
                'label' => esc_html__('Font Style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array(),
                'parent' => $row3_sticky_header_menu
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'type' => 'selectblanksimple',
                'name' => 'sticky_fontweight',
                'default_value' => '',
                'label' => esc_html__('Font Weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array(),
                'parent' => $row3_sticky_header_menu
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'type' => 'textsimple',
                'name' => 'sticky_letterspacing',
                'label' => esc_html__('Letter Spacing', 'sparks'),
                'default_value' => '',
                'parent' => $row3_sticky_header_menu,
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        /***************** Header Sticky - end ****************/

        /***************** Header Fixed - start ****************/

        $panel_fixed_header = sparks_mikado_add_admin_panel(
            array(
                'title' => esc_html__('Fixed Header', 'sparks'),
                'name' => 'panel_fixed_header',
                'page' => '_header_page',
                'hidden_property' => 'header_behaviour',
                'hidden_values' => array(
                    'sticky-header-on-scroll-up',
                    'sticky-header-on-scroll-down-up',
                    'no-behavior',
                    'fixed-on-scroll'
                )
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'fixed_header_grid_background_color',
            'type' => 'color',
            'default_value' => '',
            'label' => esc_html__('Grid Background Color', 'sparks'),
            'description' => esc_html__('Set grid background color for fixed header', 'sparks'),
            'parent' => $panel_fixed_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'fixed_header_grid_transparency',
            'type' => 'text',
            'default_value' => '',
            'label' => esc_html__('Header Transparency Grid', 'sparks'),
            'description' => esc_html__('Enter transparency for fixed header grid (value from 0 to 1)', 'sparks'),
            'parent' => $panel_fixed_header,
            'args' => array(
                'col_width' => 1
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'fixed_header_background_color',
            'type' => 'color',
            'default_value' => '',
            'label' => esc_html__('Background Color', 'sparks'),
            'description' => esc_html__('Set background color for fixed header', 'sparks'),
            'parent' => $panel_fixed_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'fixed_header_transparency',
            'type' => 'text',
            'label' => esc_html__('Header Transparency', 'sparks'),
            'description' => esc_html__('Enter transparency for fixed header (value from 0 to 1)', 'sparks'),
            'parent' => $panel_fixed_header,
            'args' => array(
                'col_width' => 1
            )
        ));

        /***************** Header Fixed - end ****************/

        /***************** Header Main Menu - start ****************/

        $panel_main_menu = sparks_mikado_add_admin_panel(
            array(
                'title' => esc_html__('Main Menu', 'sparks'),
                'name' => 'panel_main_menu',
                'page' => '_header_page',
                'hidden_property' => 'header_type',
                'hidden_values' => array('header-vertical', 'header-minimal')
            )
        );

        sparks_mikado_add_admin_section_title(
            array(
                'parent' => $panel_main_menu,
                'name' => 'main_menu_area_title',
                'title' => esc_html__('Main Menu General Settings', 'sparks')
            )
        );

        $drop_down_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'drop_down_group',
                'title' => esc_html__('Main Dropdown Menu', 'sparks'),
                'description' => esc_html__('Choose a color and transparency for the main menu background (0 = fully transparent, 1 = opaque)', 'sparks')
            )
        );

        $drop_down_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $drop_down_group,
                'name' => 'drop_down_row1',
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $drop_down_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_color',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $drop_down_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_border_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );


        sparks_mikado_add_admin_field(
            array(
                'parent' => $drop_down_row1,
                'type' => 'textsimple',
                'name' => 'dropdown_background_transparency',
                'default_value' => '',
                'label' => esc_html__('Transparency', 'sparks'),
            )
        );

        $drop_down_padding_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'drop_down_padding_group',
                'title' => esc_html__('Main Dropdown Menu Padding', 'sparks'),
                'description' => esc_html__('Choose a top/bottom padding for dropdown menu', 'sparks')
            )
        );

        $drop_down_padding_row = sparks_mikado_add_admin_row(
            array(
                'parent' => $drop_down_padding_group,
                'name' => 'drop_down_padding_row',
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $drop_down_padding_row,
                'type' => 'textsimple',
                'name' => 'dropdown_top_padding',
                'default_value' => '',
                'label' => esc_html__('Top Padding', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $drop_down_padding_row,
                'type' => 'textsimple',
                'name' => 'dropdown_bottom_padding',
                'default_value' => '',
                'label' => esc_html__('Bottom Padding', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_main_menu,
                'type' => 'select',
                'name' => 'menu_dropdown_appearance',
                'default_value' => 'default',
                'label' => esc_html__('Main Dropdown Menu Appearance', 'sparks'),
                'description' => esc_html__('Choose appearance for dropdown menu', 'sparks'),
                'options' => array(
                    'dropdown-default' => esc_html__('Default', 'sparks'),
                    'dropdown-slide-from-bottom' => esc_html__('Slide From Bottom', 'sparks'),
                    'dropdown-slide-from-top' => esc_html__('Slide From Top', 'sparks'),
                    'dropdown-animate-height' => esc_html__('Animate Height', 'sparks'),
                    'dropdown-slide-from-left' => esc_html__('Slide From Left', 'sparks')
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_main_menu,
                'type' => 'text',
                'name' => 'dropdown_top_position',
                'default_value' => '',
                'label' => esc_html__('Dropdown position', 'sparks'),
                'description' => esc_html__('Enter value in percentage of entire header height', 'sparks'),
                'args' => array(
                    'col_width' => 3,
                    'suffix' => '%'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_main_menu,
                'type' => 'yesno',
                'name' => 'enable_wide_menu_background',
                'default_value' => 'yes',
                'label' => esc_html__('Enable Full Width Background for Wide Dropdown Type', 'sparks'),
                'description' => esc_html__('Enabling this option will show full width background  for wide dropdown type', 'sparks'),
            )
        );

        $first_level_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'first_level_group',
                'title' => esc_html__('1st Level Menu', 'sparks'),
                'description' => esc_html__('Define styles for 1st level in Top Navigation Menu', 'sparks')
            )
        );

        $first_level_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row1'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row1,
                'type' => 'colorsimple',
                'name' => 'menu_color',
                'default_value' => '',
                'label' => esc_html__('Text Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row1,
                'type' => 'colorsimple',
                'name' => 'menu_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Hover Text Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row1,
                'type' => 'colorsimple',
                'name' => 'menu_activecolor',
                'default_value' => '',
                'label' => esc_html__('Active Text Color', 'sparks'),
            )
        );

        $first_level_row2 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row2',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row2,
                'type' => 'colorsimple',
                'name' => 'menu_text_background_color',
                'default_value' => '',
                'label' => esc_html__('Text Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row2,
                'type' => 'colorsimple',
                'name' => 'menu_hover_background_color',
                'default_value' => '',
                'label' => esc_html__('Hover Text Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row2,
                'type' => 'colorsimple',
                'name' => 'menu_active_background_color',
                'default_value' => '',
                'label' => esc_html__('Active Text Background Color', 'sparks'),
            )
        );

        $first_level_row3 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row3',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row3,
                'type' => 'colorsimple',
                'name' => 'menu_light_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Light Menu Hover Text Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row3,
                'type' => 'colorsimple',
                'name' => 'menu_light_activecolor',
                'default_value' => '',
                'label' => esc_html__('Light Menu Active Text Color', 'sparks'),
            )
        );

        $first_level_row4 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row4',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row4,
                'type' => 'colorsimple',
                'name' => 'menu_dark_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Dark Menu Hover Text Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row4,
                'type' => 'colorsimple',
                'name' => 'menu_dark_activecolor',
                'default_value' => '',
                'label' => esc_html__('Dark Menu Active Text Color', 'sparks'),
            )
        );

        $first_level_row5 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row5',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row5,
                'type' => 'fontsimple',
                'name' => 'menu_google_fonts',
                'default_value' => '-1',
                'label' => esc_html__('Font Family', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row5,
                'type' => 'textsimple',
                'name' => 'menu_fontsize',
                'default_value' => '',
                'label' => esc_html__('Font Size', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row5,
                'type' => 'textsimple',
                'name' => 'menu_hover_background_color_transparency',
                'default_value' => '',
                'label' => esc_html__('Hover Background Color Transparency', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row5,
                'type' => 'textsimple',
                'name' => 'menu_active_background_color_transparency',
                'default_value' => '',
                'label' => esc_html__('Active Background Color Transparency', 'sparks'),
            )
        );

        $first_level_row6 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row6',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row6,
                'type' => 'selectblanksimple',
                'name' => 'menu_fontstyle',
                'default_value' => '',
                'label' => esc_html__('Font Style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row6,
                'type' => 'selectblanksimple',
                'name' => 'menu_fontweight',
                'default_value' => '',
                'label' => esc_html__('Font Weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row6,
                'type' => 'textsimple',
                'name' => 'menu_letterspacing',
                'default_value' => '',
                'label' => esc_html__('Letter Spacing', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row6,
                'type' => 'selectblanksimple',
                'name' => 'menu_texttransform',
                'default_value' => '',
                'label' => esc_html__('Text Transform', 'sparks'),
                'options' => sparks_mikado_get_text_transform_array()
            )
        );

        $first_level_row7 = sparks_mikado_add_admin_row(
            array(
                'parent' => $first_level_group,
                'name' => 'first_level_row7',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row7,
                'type' => 'textsimple',
                'name' => 'menu_lineheight',
                'default_value' => '',
                'label' => esc_html__('Line Height', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row7,
                'type' => 'textsimple',
                'name' => 'menu_padding_left_right',
                'default_value' => '',
                'label' => esc_html__('Padding Left/Right', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $first_level_row7,
                'type' => 'textsimple',
                'name' => 'menu_margin_left_right',
                'default_value' => '',
                'label' => esc_html__('Margin Left/Right', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        $second_level_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'second_level_group',
                'title' => esc_html__('2nd Level Menu', 'sparks'),
                'description' => esc_html__('Define styles for 2nd level in Top Navigation Menu', 'sparks')
            )
        );

        $second_level_row0 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_group,
                'name' => 'second_level_row0'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_color_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_border_color_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );


        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row0,
                'type' => 'textsimple',
                'name' => 'dropdown_background_transparency_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Transparency', 'sparks'),
            )
        );

        $second_level_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_group,
                'name' => 'second_level_row1'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_color',
                'default_value' => '',
                'label' => esc_html__('Text Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Background Color', 'sparks')
            )
        );

        $second_level_row2 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_group,
                'name' => 'second_level_row2',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row2,
                'type' => 'fontsimple',
                'name' => 'dropdown_google_fonts',
                'default_value' => '-1',
                'label' => esc_html__('Font Family', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_fontsize',
                'default_value' => '',
                'label' => esc_html__('Font Size', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_lineheight',
                'default_value' => '',
                'label' => esc_html__('Line Height', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_padding_top_bottom',
                'default_value' => '',
                'label' => esc_html__('Padding Top/Bottom', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        $second_level_row3 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_group,
                'name' => 'second_level_row3',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_fontstyle',
                'default_value' => '',
                'label' => esc_html__('Font style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_fontweight',
                'default_value' => '',
                'label' => esc_html__('Font weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row3,
                'type' => 'textsimple',
                'name' => 'dropdown_letterspacing',
                'default_value' => '',
                'label' => esc_html__('Letter spacing', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_texttransform',
                'default_value' => '',
                'label' => esc_html__('Text Transform', 'sparks'),
                'options' => sparks_mikado_get_text_transform_array()
            )
        );

        $second_level_wide_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'second_level_wide_group',
                'title' => esc_html__('2nd Level Wide Menu', 'sparks'),
                'description' => esc_html__('Define styles for 2nd level in Wide Menu', 'sparks')
            )
        );


        $second_level_wide_row0 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_wide_group,
                'name' => 'second_level_wide_row0'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_color_wide_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_border_color_wide_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );


        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row0,
                'type' => 'textsimple',
                'name' => 'dropdown_background_transparency_wide_secondlvl',
                'default_value' => '',
                'label' => esc_html__('Transparency', 'sparks'),
            )
        );

        $second_level_wide_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_wide_group,
                'name' => 'second_level_wide_row1'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_color',
                'default_value' => '',
                'label' => esc_html__('Text Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_background_hovercolor',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Background Color', 'sparks')
            )
        );

        $second_level_wide_row2 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_wide_group,
                'name' => 'second_level_wide_row2',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row2,
                'type' => 'fontsimple',
                'name' => 'dropdown_wide_google_fonts',
                'default_value' => '-1',
                'label' => esc_html__('Font Family', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_fontsize',
                'default_value' => '',
                'label' => esc_html__('Font Size', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_lineheight',
                'default_value' => '',
                'label' => esc_html__('Line Height', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_padding_top_bottom',
                'default_value' => '',
                'label' => esc_html__('Padding Top/Bottom', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        $second_level_wide_row3 = sparks_mikado_add_admin_row(
            array(
                'parent' => $second_level_wide_group,
                'name' => 'second_level_wide_row3',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_fontstyle',
                'default_value' => '',
                'label' => esc_html__('Font style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_fontweight',
                'default_value' => '',
                'label' => esc_html__('Font weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row3,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_letterspacing',
                'default_value' => '',
                'label' => esc_html__('Letter spacing', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $second_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_texttransform',
                'default_value' => '',
                'label' => esc_html__('Text Transform', 'sparks'),
                'options' => sparks_mikado_get_text_transform_array()
            )
        );

        $third_level_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'third_level_group',
                'title' => esc_html__('3nd Level Menu', 'sparks'),
                'description' => esc_html__('Define styles for 3nd level in Top Navigation Menu', 'sparks')
            )
        );

        $third_level_row0 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_group,
                'name' => 'third_level_row0'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_color_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_border_color_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row0,
                'type' => 'textsimple',
                'name' => 'dropdown_background_transparency_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Transparency', 'sparks'),
            )
        );

        $third_level_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_group,
                'name' => 'third_level_row1'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_color_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Text Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_hovercolor_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_background_hovercolor_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Background Color', 'sparks')
            )
        );

        $third_level_row2 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_group,
                'name' => 'third_level_row2',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row2,
                'type' => 'fontsimple',
                'name' => 'dropdown_google_fonts_thirdlvl',
                'default_value' => '-1',
                'label' => esc_html__('Font Family', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_fontsize_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font Size', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_lineheight_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Line Height', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        $third_level_row3 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_group,
                'name' => 'third_level_row3',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_fontstyle_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_fontweight_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row3,
                'type' => 'textsimple',
                'name' => 'dropdown_letterspacing_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Letter spacing', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_texttransform_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Text Transform', 'sparks'),
                'options' => sparks_mikado_get_text_transform_array()
            )
        );


        /***********************************************************/
        $third_level_wide_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_main_menu,
                'name' => 'third_level_wide_group',
                'title' => esc_html__('3rd Level Wide Menu', 'sparks'),
                'description' => esc_html__('Define styles for 3rd level in Wide Menu', 'sparks')
            )
        );


        $third_level_wide_row0 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_wide_group,
                'name' => 'third_level_wide_row0'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row0,
                'type' => 'colorsimple',
                'name' => 'dropdown_border_color_wide_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );

        $third_level_wide_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_wide_group,
                'name' => 'third_level_wide_row1'
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_color_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Text Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_hovercolor_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Color', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row1,
                'type' => 'colorsimple',
                'name' => 'dropdown_wide_background_hovercolor_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Hover/Active Background Color', 'sparks')
            )
        );

        $third_level_wide_row2 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_wide_group,
                'name' => 'third_level_wide_row2',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row2,
                'type' => 'fontsimple',
                'name' => 'dropdown_wide_google_fonts_thirdlvl',
                'default_value' => '-1',
                'label' => esc_html__('Font Family', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_fontsize_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font Size', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row2,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_lineheight_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Line Height', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        $third_level_wide_row3 = sparks_mikado_add_admin_row(
            array(
                'parent' => $third_level_wide_group,
                'name' => 'third_level_wide_row3',
                'next' => true
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_fontstyle_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font style', 'sparks'),
                'options' => sparks_mikado_get_font_style_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_fontweight_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Font weight', 'sparks'),
                'options' => sparks_mikado_get_font_weight_array()
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row3,
                'type' => 'textsimple',
                'name' => 'dropdown_wide_letterspacing_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Letter spacing', 'sparks'),
                'args' => array(
                    'suffix' => 'px'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $third_level_wide_row3,
                'type' => 'selectblanksimple',
                'name' => 'dropdown_wide_texttransform_thirdlvl',
                'default_value' => '',
                'label' => esc_html__('Text Transform', 'sparks'),
                'options' => sparks_mikado_get_text_transform_array()
            )
        );

        /***************** Header Main Menu - end ****************/

        /***************** Header Vertical - start ****************/

        $panel_vertical_main_menu = sparks_mikado_add_admin_panel(
            array(
                'title' => esc_html__('Vertical Main Menu', 'sparks'),
                'name' => 'panel_vertical_main_menu',
                'page' => '_header_page',
                'hidden_property' => 'header_type',
                'hidden_values' => array(
                    'header-standard',
                    'header-minimal'
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_vertical_main_menu,
                'type' => 'select',
                'name' => 'vertical_header_main_menu',
                'default_value' => 'float',
                'label' => esc_html__('Menu Area Style', 'sparks'),
                'description' => esc_html__('Choose a menu area style for Header Vertical', 'sparks'),
                'options' => array(
                    'float' => esc_html__('Float', 'sparks'),
                    'click' => esc_html__('On Click', 'sparks')
                )
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $panel_vertical_main_menu,
                'type' => 'yesno',
                'name' => 'vertical_dropdown_border_bottom',
                'default_value' => 'no',
                'label' => esc_html__('Main Menu Separator', 'sparks'),
                'description' => esc_html__('Place separator between menu items', 'sparks'),
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#mkd_vertical_dropdown_border_bottom_container"
                )
            )
        );

        $vertical_dropdown_border_bottom_container = sparks_mikado_add_admin_container(array(
            'name' => 'vertical_dropdown_border_bottom_container',
            'parent' => $panel_vertical_main_menu,
            'hidden_property' => 'vertical_dropdown_border_bottom',
            'hidden_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'vertical_dropdown_border_bottom_color',
            'type' => 'color',
            'label' => esc_html__('Separator Color', 'sparks'),
            'description' => esc_html__('Choose color for separator between menu items', 'sparks'),
            'parent' => $vertical_dropdown_border_bottom_container
        ));


        $drop_down_group = sparks_mikado_add_admin_group(
            array(
                'parent' => $panel_vertical_main_menu,
                'name' => 'vertical_drop_down_group',
                'title' => esc_html__('Main Dropdown Menu', 'sparks'),
                'description' => esc_html__('Set a style for dropdown menu', 'sparks')
            )
        );

        $vertical_drop_down_row1 = sparks_mikado_add_admin_row(
            array(
                'parent' => $drop_down_group,
                'name' => 'mkd_drop_down_row1',
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $vertical_drop_down_row1,
                'type' => 'colorsimple',
                'name' => 'vertical_dropdown_background_color',
                'default_value' => '',
                'label' => esc_html__('Background Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $vertical_drop_down_row1,
                'type' => 'colorsimple',
                'name' => 'vertical_dropdown_border_color',
                'default_value' => '',
                'label' => esc_html__('Border Color', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(
            array(
                'parent' => $vertical_drop_down_row1,
                'type' => 'textsimple',
                'name' => 'vertical_dropdown_transparency',
                'default_value' => '',
                'label' => esc_html__('Transparency', 'sparks'),
            )
        );

        $group_vertical_first_level = sparks_mikado_add_admin_group(array(
            'name' => 'group_vertical_first_level',
            'title' => esc_html__('1st level', 'sparks'),
            'description' => esc_html__('Define styles for 1st level menu', 'sparks'),
            'parent' => $panel_vertical_main_menu
        ));

        $row_vertical_first_level_1 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_first_level_1',
            'parent' => $group_vertical_first_level
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_1st_color',
            'default_value' => '',
            'label' => esc_html__('Text Color', 'sparks'),
            'parent' => $row_vertical_first_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_1st_hover_color',
            'default_value' => '',
            'label' => esc_html__('Hover Color', 'sparks'),
            'parent' => $row_vertical_first_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_1st_hover_background_color',
            'default_value' => '',
            'label' => esc_html__('Hover Background Color', 'sparks'),
            'parent' => $row_vertical_first_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_1st_fontsize',
            'default_value' => '',
            'label' => esc_html__('Font Size', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_first_level_1
        ));

        $row_vertical_first_level_2 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_first_level_2',
            'parent' => $group_vertical_first_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_1st_lineheight',
            'default_value' => '',
            'label' => esc_html__('Line Height', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_first_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_1st_texttransform',
            'default_value' => '',
            'label' => esc_html__('Text Transform', 'sparks'),
            'options' => sparks_mikado_get_text_transform_array(),
            'parent' => $row_vertical_first_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'fontsimple',
            'name' => 'vertical_menu_1st_google_fonts',
            'default_value' => '-1',
            'label' => esc_html__('Font Family', 'sparks'),
            'parent' => $row_vertical_first_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_1st_fontstyle',
            'default_value' => '',
            'label' => esc_html__('Font Style', 'sparks'),
            'options' => sparks_mikado_get_font_style_array(),
            'parent' => $row_vertical_first_level_2
        ));

        $row_vertical_first_level_3 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_first_level_3',
            'parent' => $group_vertical_first_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_1st_fontweight',
            'default_value' => '',
            'label' => esc_html__('Font Weight', 'sparks'),
            'options' => sparks_mikado_get_font_weight_array(),
            'parent' => $row_vertical_first_level_3
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_1st_letter_spacing',
            'default_value' => '',
            'label' => esc_html__('Letter Spacing', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_first_level_3
        ));

        $group_vertical_second_level = sparks_mikado_add_admin_group(array(
            'name' => 'group_vertical_second_level',
            'title' => esc_html__('2nd level', 'sparks'),
            'description' => esc_html__('Define styles for 2nd level menu', 'sparks'),
            'parent' => $panel_vertical_main_menu
        ));

        $row_vertical_second_level_1 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_second_level_1',
            'parent' => $group_vertical_second_level
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_2nd_color',
            'default_value' => '',
            'label' => esc_html__('Text Color', 'sparks'),
            'parent' => $row_vertical_second_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_2nd_hover_color',
            'default_value' => '',
            'label' => esc_html__('Hover Color', 'sparks'),
            'parent' => $row_vertical_second_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_2nd_hover_background_color',
            'default_value' => '',
            'label' => esc_html__('Hover Background Color', 'sparks'),
            'parent' => $row_vertical_second_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_2nd_fontsize',
            'default_value' => '',
            'label' => esc_html__('Font Size', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_second_level_1
        ));

        $row_vertical_second_level_2 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_second_level_2',
            'parent' => $group_vertical_second_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_2nd_lineheight',
            'default_value' => '',
            'label' => esc_html__('Line Height', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_second_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_2nd_texttransform',
            'default_value' => '',
            'label' => esc_html__('Text Transform', 'sparks'),
            'options' => sparks_mikado_get_text_transform_array(),
            'parent' => $row_vertical_second_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'fontsimple',
            'name' => 'vertical_menu_2nd_google_fonts',
            'default_value' => '-1',
            'label' => esc_html__('Font Family', 'sparks'),
            'parent' => $row_vertical_second_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_2nd_fontstyle',
            'default_value' => '',
            'label' => esc_html__('Font Style', 'sparks'),
            'options' => sparks_mikado_get_font_style_array(),
            'parent' => $row_vertical_second_level_2
        ));

        $row_vertical_second_level_3 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_second_level_3',
            'parent' => $group_vertical_second_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_2nd_fontweight',
            'default_value' => '',
            'label' => esc_html__('Font Weight', 'sparks'),
            'options' => sparks_mikado_get_font_weight_array(),
            'parent' => $row_vertical_second_level_3
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_2nd_letter_spacing',
            'default_value' => '',
            'label' => esc_html__('Letter Spacing', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_second_level_3
        ));

        $group_vertical_third_level = sparks_mikado_add_admin_group(array(
            'name' => 'group_vertical_third_level',
            'title' => esc_html__('3rd level', 'sparks'),
            'description' => esc_html__('Define styles for 3rd level menu', 'sparks'),
            'parent' => $panel_vertical_main_menu
        ));

        $row_vertical_third_level_1 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_third_level_1',
            'parent' => $group_vertical_third_level
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_3rd_color',
            'default_value' => '',
            'label' => esc_html__('Text Color', 'sparks'),
            'parent' => $row_vertical_third_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_3rd_hover_color',
            'default_value' => '',
            'label' => esc_html__('Hover Color', 'sparks'),
            'parent' => $row_vertical_third_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'colorsimple',
            'name' => 'vertical_menu_3rd_hover_background_color',
            'default_value' => '',
            'label' => esc_html__('Hover Background Color', 'sparks'),
            'parent' => $row_vertical_third_level_1
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_3rd_fontsize',
            'default_value' => '',
            'label' => esc_html__('Font Size', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_third_level_1
        ));

        $row_vertical_third_level_2 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_third_level_2',
            'parent' => $group_vertical_third_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_3rd_lineheight',
            'default_value' => '',
            'label' => esc_html__('Line Height', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_third_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_3rd_texttransform',
            'default_value' => '',
            'label' => esc_html__('Text Transform', 'sparks'),
            'options' => sparks_mikado_get_text_transform_array(),
            'parent' => $row_vertical_third_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'fontsimple',
            'name' => 'vertical_menu_3rd_google_fonts',
            'default_value' => '-1',
            'label' => esc_html__('Font Family', 'sparks'),
            'parent' => $row_vertical_third_level_2
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_3rd_fontstyle',
            'default_value' => '',
            'label' => esc_html__('Font Style', 'sparks'),
            'options' => sparks_mikado_get_font_style_array(),
            'parent' => $row_vertical_third_level_2
        ));

        $row_vertical_third_level_3 = sparks_mikado_add_admin_row(array(
            'name' => 'row_vertical_third_level_3',
            'parent' => $group_vertical_third_level,
            'next' => true
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'selectblanksimple',
            'name' => 'vertical_menu_3rd_fontweight',
            'default_value' => '',
            'label' => esc_html__('Font Weight', 'sparks'),
            'options' => sparks_mikado_get_font_weight_array(),
            'parent' => $row_vertical_third_level_3
        ));

        sparks_mikado_add_admin_field(array(
            'type' => 'textsimple',
            'name' => 'vertical_menu_3rd_letter_spacing',
            'default_value' => '',
            'label' => esc_html__('Letter Spacing', 'sparks'),
            'args' => array(
                'suffix' => 'px'
            ),
            'parent' => $row_vertical_third_level_3
        ));

        /***************** Header Vertical - end ****************/

        /***************** Header Mobile - start ****************/

        $panel_mobile_header = sparks_mikado_add_admin_panel(array(
            'title' => esc_html__('Mobile header', 'sparks'),
            'name' => 'panel_mobile_header',
            'page' => '_header_page'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_header_height',
            'type' => 'text',
            'label' => esc_html__('Mobile Header Height', 'sparks'),
            'description' => esc_html__('Enter height for mobile header in pixels', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_header_background_color',
            'type' => 'color',
            'label' => esc_html__('Mobile Header Background Color', 'sparks'),
            'description' => esc_html__('Choose color for mobile header', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_menu_background_color',
            'type' => 'color',
            'label' => esc_html__('Mobile Menu Background Color', 'sparks'),
            'description' => esc_html__('Choose color for mobile menu', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_menu_separator_color',
            'type' => 'color',
            'label' => esc_html__('Mobile Menu Item Separator Color', 'sparks'),
            'description' => esc_html__('Choose color for mobile menu horizontal separators', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_logo_height',
            'type' => 'text',
            'label' => esc_html__('Logo Height For Mobile Header', 'sparks'),
            'description' => esc_html__('Define logo height for screen size smaller than 1000px', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_logo_height_phones',
            'type' => 'text',
            'label' => esc_html__('Logo Height For Mobile Devices', 'sparks'),
            'description' => esc_html__('Define logo height for screen size smaller than 480px', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_add_admin_section_title(array(
            'parent' => $panel_mobile_header,
            'name' => 'mobile_header_fonts_title',
            'title' => esc_html__('Typography', 'sparks')
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_text_color',
            'type' => 'color',
            'label' => esc_html__('Navigation Text Color', 'sparks'),
            'description' => esc_html__('Define color for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_text_hover_color',
            'type' => 'color',
            'label' => esc_html__('Navigation Hover/Active Color', 'sparks'),
            'description' => esc_html__('Define hover/active color for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_font_family',
            'type' => 'font',
            'label' => esc_html__('Navigation Font Family', 'sparks'),
            'description' => esc_html__('Define font family for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_font_size',
            'type' => 'text',
            'label' => esc_html__('Navigation Font Size', 'sparks'),
            'description' => esc_html__('Define font size for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_line_height',
            'type' => 'text',
            'label' => esc_html__('Navigation Line Height', 'sparks'),
            'description' => esc_html__('Define line height for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_text_transform',
            'type' => 'select',
            'label' => esc_html__('Navigation Text Transform', 'sparks'),
            'description' => esc_html__('Define text transform for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header,
            'options' => sparks_mikado_get_text_transform_array(true)
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_font_style',
            'type' => 'select',
            'label' => esc_html__('Navigation Font Style', 'sparks'),
            'description' => esc_html__('Define font style for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header,
            'options' => sparks_mikado_get_font_style_array(true)
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_font_weight',
            'type' => 'select',
            'label' => esc_html__('Navigation Font Weight', 'sparks'),
            'description' => esc_html__('Define font weight for mobile navigation text', 'sparks'),
            'parent' => $panel_mobile_header,
            'options' => sparks_mikado_get_font_weight_array(true)
        ));

        sparks_mikado_add_admin_section_title(array(
            'name' => 'mobile_opener_panel',
            'parent' => $panel_mobile_header,
            'title' => esc_html__('Mobile Menu Opener', 'sparks')
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_icon_pack',
            'type' => 'select',
            'label' => esc_html__('Mobile Navigation Icon Pack', 'sparks'),
            'default_value' => 'font_awesome',
            'description' => esc_html__('Choose icon pack for mobile navigation icon', 'sparks'),
            'parent' => $panel_mobile_header,
            'options' => sparks_mikado_icon_collections()->getIconCollectionsExclude(array(
                'linea_icons',
                'simple_line_icons',
                'linear_icons'
            ))
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_icon_color',
            'type' => 'color',
            'label' => esc_html__('Mobile Navigation Icon Color', 'sparks'),
            'description' => esc_html__('Choose color for icon header', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_icon_hover_color',
            'type' => 'color',
            'label' => esc_html__('Mobile Navigation Icon Hover Color', 'sparks'),
            'description' => esc_html__('Choose hover color for mobile navigation icon ', 'sparks'),
            'parent' => $panel_mobile_header
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mobile_icon_size',
            'type' => 'text',
            'label' => esc_html__('Mobile Navigation Icon size', 'sparks'),
            'description' => esc_html__('Choose size for mobile navigation icon', 'sparks'),
            'parent' => $panel_mobile_header,
            'args' => array(
                'col_width' => 3,
                'suffix' => 'px'
            )
        ));

        /***************** Header Mobile - end ****************/
    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_header_options_map', 3);

}