<?php

if (!function_exists('sparks_mikado_portfolio_options_map')) {
    function sparks_mikado_portfolio_options_map() {

        sparks_mikado_add_admin_page(array(
            'slug' => '_portfolio',
            'title' => esc_html__('Portfolio', 'sparks'),
            'icon' => 'fa fa-camera-retro'
        ));

        $panel_archive = sparks_mikado_add_admin_panel(array(
            'title' => esc_html__('Portfolio Archive', 'sparks'),
            'name' => 'panel_portfolio_archive',
            'page' => '_portfolio'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_archive_number_of_items',
            'type' => 'text',
            'label' => esc_html__('Number of Items', 'sparks'),
            'description' => esc_html__('Set number of items for your portfolio list on archive pages. Default value is 12', 'sparks'),
            'parent' => $panel_archive,
            'args' => array(
                'col_width' => 3
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_archive_number_of_columns',
            'type' => 'select',
            'label' => esc_html__('Number of Columns', 'sparks'),
            'default_value' => '4',
            'description' => esc_html__('Set number of columns for your portfolio list on archive pages. Default value is 4 columns', 'sparks'),
            'parent' => $panel_archive,
            'options' => array(
                '2' => esc_html__('2 Columns', 'sparks'),
                '3' => esc_html__('3 Columns', 'sparks'),
                '4' => esc_html__('4 Columns', 'sparks'),
                '5' => esc_html__('5 Columns', 'sparks')
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_archive_space_between_items',
            'type' => 'select',
            'label' => esc_html__('Space Between Items', 'sparks'),
            'default_value' => 'normal',
            'description' => esc_html__('Set space size between portfolio items for your portfolio list on archive pages. Default value is normal', 'sparks'),
            'parent' => $panel_archive,
            'options' => array(
                'normal' => esc_html__('Normal', 'sparks'),
                'small' => esc_html__('Small', 'sparks'),
                'tiny' => esc_html__('Tiny', 'sparks'),
                'no' => esc_html__('No Space', 'sparks')
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_archive_image_size',
            'type' => 'select',
            'label' => esc_html__('Image Proportions', 'sparks'),
            'default_value' => 'landscape',
            'description' => esc_html__('Set image proportions for your portfolio list on archive pages. Default value is landscape', 'sparks'),
            'parent' => $panel_archive,
            'options' => array(
                'full' => esc_html__('Original', 'sparks'),
                'landscape' => esc_html__('Landscape', 'sparks'),
                'portrait' => esc_html__('Portrait', 'sparks'),
                'square' => esc_html__('Square', 'sparks')
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_archive_item_layout',
            'type' => 'select',
            'label' => esc_html__('Item Layout', 'sparks'),
            'default_value' => 'standard-shader',
            'description' => esc_html__('Set item layour for your portfolio list on archive pages. Default value is Standard - Shader layout', 'sparks'),
            'parent' => $panel_archive,
            'options' => array(
                'standard-shader' => esc_html__('Standard - Shader', 'sparks'),
                'gallery-overlay' => esc_html__('Gallery - Overlay', 'sparks')
            )
        ));

        $panel = sparks_mikado_add_admin_panel(array(
            'title' => esc_html__('Portfolio Single', 'sparks'),
            'name' => 'panel_portfolio_single',
            'page' => '_portfolio'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_template',
            'type' => 'select',
            'label' => esc_html__('Portfolio Type', 'sparks'),
            'default_value' => 'small-images',
            'description' => esc_html__('Choose a default type for Single Project pages', 'sparks'),
            'parent' => $panel,
            'options' => array(
                'huge-images' => esc_html__('Portfolio Full Width Images', 'sparks'),
                'images' => esc_html__('Portfolio Images', 'sparks'),
                'small-images' => esc_html__('Portfolio Small Images', 'sparks'),
                'slider' => esc_html__('Portfolio Slider', 'sparks'),
                'small-slider' => esc_html__('Portfolio Small Slider', 'sparks'),
                'gallery' => esc_html__('Portfolio Gallery', 'sparks'),
                'small-gallery' => esc_html__('Portfolio Small Gallery', 'sparks'),
                'masonry' => esc_html__('Portfolio Masonry', 'sparks'),
                'small-masonry' => esc_html__('Portfolio Small Masonry', 'sparks'),
                'custom' => esc_html__('Portfolio Custom', 'sparks'),
                'full-width-custom' => esc_html__('Portfolio Full Width Custom', 'sparks')
            ),
            'args' => array(
                'dependence' => true,
                'show' => array(
                    'huge-images' => '',
                    'images' => '',
                    'small-images' => '',
                    'slider' => '',
                    'small-slider' => '',
                    'gallery' => '#mkd_portfolio_gallery_container',
                    'small-gallery' => '#mkd_portfolio_gallery_container',
                    'masonry' => '#mkd_portfolio_masonry_container',
                    'small-masonry' => '#mkd_portfolio_masonry_container',
                    'custom' => '',
                    'full-width-custom' => ''
                ),
                'hide' => array(
                    'huge-images' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'images' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'small-images' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'slider' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'small-slider' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'gallery' => '#mkd_portfolio_masonry_container',
                    'small-gallery' => '#mkd_portfolio_masonry_container',
                    'masonry' => '#mkd_portfolio_gallery_container',
                    'small-masonry' => '#mkd_portfolio_gallery_container',
                    'custom' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container',
                    'full-width-custom' => '#mkd_portfolio_gallery_container, #mkd_portfolio_masonry_container'
                )
            )
        ));

        /***************** Gallery Layout *****************/

        $portfolio_gallery_container = sparks_mikado_add_admin_container(array(
            'parent' => $panel,
            'name' => 'portfolio_gallery_container',
            'hidden_property' => 'portfolio_single_template',
            'hidden_values' => array(
                'huge-images',
                'images',
                'small-images',
                'slider',
                'small-slider',
                'masonry',
                'small-masonry',
                'custom',
                'full-width-custom'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_gallery_columns_number',
            'type' => 'select',
            'label' => esc_html__('Number of Columns', 'sparks'),
            'default_value' => 'three',
            'description' => esc_html__('Set number of columns for portfolio gallery type', 'sparks'),
            'parent' => $portfolio_gallery_container,
            'options' => array(
                'two' => esc_html__('2 Columns', 'sparks'),
                'three' => esc_html__('3 Columns', 'sparks'),
                'four' => esc_html__('4 Columns', 'sparks')
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_gallery_space_between_items',
            'type' => 'select',
            'label' => esc_html__('Space Between Items', 'sparks'),
            'default_value' => 'normal',
            'description' => esc_html__('Set space size between columns for portfolio gallery type', 'sparks'),
            'parent' => $portfolio_gallery_container,
            'options' => array(
                'normal' => esc_html__('Normal', 'sparks'),
                'small' => esc_html__('Small', 'sparks'),
                'tiny' => esc_html__('Tiny', 'sparks'),
                'no' => esc_html__('No Space', 'sparks')
            )
        ));

        /***************** Gallery Layout *****************/

        /***************** Masonry Layout *****************/

        $portfolio_masonry_container = sparks_mikado_add_admin_container(array(
            'parent' => $panel,
            'name' => 'portfolio_masonry_container',
            'hidden_property' => 'portfolio_single_template',
            'hidden_values' => array(
                'huge-images',
                'images',
                'small-images',
                'slider',
                'small-slider',
                'gallery',
                'small-gallery',
                'custom',
                'full-width-custom'
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_masonry_columns_number',
            'type' => 'select',
            'label' => esc_html__('Number of Columns', 'sparks'),
            'default_value' => 'three',
            'description' => esc_html__('Set number of columns for portfolio masonry type', 'sparks'),
            'parent' => $portfolio_masonry_container,
            'options' => array(
                'two' => esc_html__('2 Columns', 'sparks'),
                'three' => esc_html__('3 Columns', 'sparks'),
                'four' => esc_html__('4 Columns', 'sparks')
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_masonry_space_between_items',
            'type' => 'select',
            'label' => esc_html__('Space Between Items', 'sparks'),
            'default_value' => 'normal',
            'description' => esc_html__('Set space size between columns for portfolio masonry type', 'sparks'),
            'parent' => $portfolio_masonry_container,
            'options' => array(
                'normal' => esc_html__('Normal', 'sparks'),
                'small' => esc_html__('Small', 'sparks'),
                'tiny' => esc_html__('Tiny', 'sparks'),
                'no' => esc_html__('No Space', 'sparks')
            )
        ));

        /***************** Masonry Layout *****************/

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_lightbox_images',
            'type' => 'yesno',
            'label' => esc_html__('Enable Lightbox for Images', 'sparks'),
            'description' => esc_html__('Enabling this option will turn on lightbox functionality for projects with images', 'sparks'),
            'parent' => $panel,
            'default_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_lightbox_videos',
            'type' => 'yesno',
            'label' => esc_html__('Enable Lightbox for Videos', 'sparks'),
            'description' => esc_html__('Enabling this option will turn on lightbox functionality for YouTube/Vimeo projects', 'sparks'),
            'parent' => $panel,
            'default_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_enable_categories',
            'type' => 'yesno',
            'label' => esc_html__('Enable Categories', 'sparks'),
            'description' => esc_html__('Enabling this option will enable category meta description on single projects', 'sparks'),
            'parent' => $panel,
            'default_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_date',
            'type' => 'yesno',
            'label' => esc_html__('Enable Date', 'sparks'),
            'description' => esc_html__('Enabling this option will enable date meta on single projects', 'sparks'),
            'parent' => $panel,
            'default_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_sticky_sidebar',
            'type' => 'yesno',
            'label' => esc_html__('Enable Sticky Side Text', 'sparks'),
            'description' => esc_html__('Enabling this option will make side text sticky on Single Project pages. This option works only for Full Width Images, Small Images, Small Gallery and Small Masonry portfolio types', 'sparks'),
            'parent' => $panel,
            'default_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_comments',
            'type' => 'yesno',
            'label' => esc_html__('Show Comments', 'sparks'),
            'description' => esc_html__('Enabling this option will show comments on your page', 'sparks'),
            'parent' => $panel,
            'default_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_hide_pagination',
            'type' => 'yesno',
            'label' => esc_html__('Hide Pagination', 'sparks'),
            'description' => esc_html__('Enabling this option will turn off portfolio pagination functionality', 'sparks'),
            'parent' => $panel,
            'default_value' => 'no',
            'args' => array(
                'dependence' => true,
                'dependence_hide_on_yes' => '#mkd_navigate_same_category_container'
            )
        ));

        $container_navigate_category = sparks_mikado_add_admin_container(array(
            'name' => 'navigate_same_category_container',
            'parent' => $panel,
            'hidden_property' => 'portfolio_single_hide_pagination',
            'hidden_value' => 'yes'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_nav_same_category',
            'type' => 'yesno',
            'label' => esc_html__('Enable Pagination Through Same Category', 'sparks'),
            'description' => esc_html__('Enabling this option will make portfolio pagination sort through current category', 'sparks'),
            'parent' => $container_navigate_category,
            'default_value' => 'no'
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'portfolio_single_slug',
            'type' => 'text',
            'label' => esc_html__('Portfolio Single Slug', 'sparks'),
            'description' => esc_html__('Enter if you wish to use a different Single Project slug (Note: After entering slug, navigate to Settings -> Permalinks and click "Save" in order for changes to take effect)', 'sparks'),
            'parent' => $panel,
            'args' => array(
                'col_width' => 3
            )
        ));
    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_portfolio_options_map', 12);
}