<?php

if (!function_exists('sparks_mikado_woocommerce_options_map')) {

    /**
     * Add Woocommerce options page
     */
    function sparks_mikado_woocommerce_options_map() {

        sparks_mikado_add_admin_page(
            array(
                'slug' => '_woocommerce_page',
                'title' =>esc_html__( 'Woocommerce','sparks'),
                'icon' => 'fa fa-shopping-cart'
            )
        );

        /**
         * Product List Settings
         */
        $panel_product_list = sparks_mikado_add_admin_panel(
            array(
                'page' => '_woocommerce_page',
                'name' => 'panel_product_list',
                'title' => esc_html__('Product List', 'sparks'),
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'mkd_woo_product_list_columns',
            'type' => 'select',
            'label' => esc_html__('Product List Columns', 'sparks'),
            'default_value' => 'mkd-woocommerce-columns-4',
            'description' => esc_html__('Choose number of columns for product listing and related products on single product', 'sparks'),
            'options' => array(
                'mkd-woocommerce-columns-3' => esc_html__('3 Columns (2 with sidebar)', 'sparks'),
                'mkd-woocommerce-columns-4' => esc_html__('4 Columns (3 with sidebar)', 'sparks')
            ),
            'parent' => $panel_product_list,
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mkd_woo_products_per_page',
            'type' => 'text',
            'label' => esc_html__('Number of products per page', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Set number of products on shop page', 'sparks'),
            'parent' => $panel_product_list,
            'args' => array(
                'col_width' => 3
            )
        ));

        sparks_mikado_add_admin_field(array(
            'name' => 'mkd_products_list_title_tag',
            'type' => 'select',
            'label' => esc_html__('Products Title Tag', 'sparks'),
            'default_value' => 'h5',
            'description' => '',
            'options' => array(
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
            ),
            'parent' => $panel_product_list,
        ));

        /**
         * Single Product Settings
         */
        $panel_single_product = sparks_mikado_add_admin_panel(
            array(
                'page' => '_woocommerce_page',
                'name' => 'panel_single_product',
                'title' => esc_html__('Single Product', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'mkd_single_product_title_tag',
            'type' => 'select',
            'label' => esc_html__('Single Product Title Tag', 'sparks'),
            'default_value' => 'h2',
            'description' => '',
            'options' => array(
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
            ),
            'parent' => $panel_single_product,
        ));

        /**
         * DropDown Cart Widget Settings
         */
        $panel_dropdown_cart = sparks_mikado_add_admin_panel(
            array(
                'page' => '_woocommerce_page',
                'name' => 'panel_dropdown_cart',
                'title' => esc_html__('Dropdown Cart Widget', 'sparks')
            )
        );

        sparks_mikado_add_admin_field(array(
            'name' => 'mkd_woo_dropdown_cart_description',
            'type' => 'text',
            'label' => esc_html__('Cart Description', 'sparks'),
            'default_value' => '',
            'description' => esc_html__('Enter dropdown cart description', 'sparks'),
            'parent' => $panel_dropdown_cart
        ));
    }

    add_action('sparks_mikado_options_map', 'sparks_mikado_woocommerce_options_map', 25);
}